/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>
#include <tchar.h>
#include <loaders/cobtab.h>

extern PIUNKNOWN DriverCfgCobMain(void);
extern PIUNKNOWN SysaceCobMain(void);
extern PIUNKNOWN SerialCobMain(void);
extern PIUNKNOWN NullCobMain(void);
extern PIUNKNOWN SerplexCobMain(void);
extern PIUNKNOWN HostfsCobMain(void);

const struct PRECOB ThePreCobTable[] = {
  {_T("drivercfg.cob"), DriverCfgCobMain },
  {_T("drivers.cob"), DriversCobMain },
  {_T("sysace.cob"), SysaceCobMain },
  {_T("neilsart.cob"), SerialCobMain },
  {_T("serplex.cob"), SerplexCobMain },
  {_T("hostfs.cob"), HostfsCobMain },
  {_T("null.cob"), NullCobMain },
  {0,0}
};
