<?xml version='1.0'?>
<!-- Copyright (c) Microsoft Corporation. All rights reserved. -->
<!-- Generate C++ style headers -jvh 2000 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:mic="x-schema:expanded-schema.xml">
  <xsl:template match="/" xml:space="preserve">
#include "mmlite.h"
    <xsl:for-each select="mic:mmlite-spec/mic:interface">
/********************** <xsl:value-of select="@name"/> **********************/
typedef struct <xsl:value-of select="@name"/> *<xsl:value-of select="@type"/>;

class <xsl:value-of select="@name"/><xsl:for-each select="@extends"> : public <xsl:value-of select="."/></xsl:for-each> {
    public:
<xsl:for-each select="mic:method">
<xsl:if test="mic:ifdef">#if <xsl:value-of select="mic:ifdef"/>
</xsl:if>    <xsl:choose><xsl:when test="@virtual = 'true'">virtual</xsl:when><xsl:otherwise>static</xsl:otherwise></xsl:choose> <xsl:value-of select="@type"/> <xsl:value-of select="@name"/> ( <xsl:if test="not(mic:arg)"> void </xsl:if>
<xsl:for-each select="mic:arg">        /*<xsl:value-of select="@direction"/>*/ <xsl:value-of select="@type"/> <xsl:value-of select="@name"/> <xsl:if test="position()!=last()"> , </xsl:if>
</xsl:for-each>    )<xsl:if test="@virtual = 'true'"> = 0</xsl:if>;<xsl:if test="mic:ifdef">
#endif</xsl:if>
  </xsl:for-each>
};

EXTERN_C const IID <xsl:value-of select="@name"/>;

  </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>