<?xml version='1.0'?>
<!-- Copyright (c) Microsoft Corporation. All rights reserved. -->
<!-- Generate DLL export file -jvh 2000 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:mic="x-schema:expanded-schema.xml">
  <xsl:output method="text"/>

  <xsl:template match="/" xml:space="preserve"><xsl:for-each select="//mic:concrete-class[mic:implements-method/@virtual = 'false']">LIBRARY mmlite.exe
DESCRIPTION '<xsl:value-of select="@name"/> dll'

EXPORTS
<xsl:for-each select="mic:implements-method[@virtual = 'false']">
<xsl:if test="mic:ifdef">#if <xsl:value-of select="mic:ifdef"/>
</xsl:if><xsl:value-of select="@implementation-name"/> @<xsl:value-of select="format-number(position(), '0')"/> NONAME<xsl:if test="mic:ifdef">
#endif</xsl:if></xsl:for-each></xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
