<?xml version='1.0'?>
<!-- Copyright (c) Microsoft Corporation. All rights reserved. -->
<!-- Generate import section for static methods. C code. -jvh 2000 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:mic="x-schema:expanded-schema.xml">
  <xsl:output method="text"/>

  <xsl:template match="/" xml:space="preserve">
#include "mmlite.h"
extern PIBASERTL pTheBaseRtl;
#define BaseRtlVtbl() pTheBaseRtl->v

    <xsl:for-each select="//mic:concrete-class[mic:implements-method/@virtual = 'false']">
/********************** <xsl:value-of select="@name"/> **********************/
/* @FILE:<xsl:value-of select="@name"/> */
#include <mmlite.h>

<xsl:for-each select="mic:implements-method"><xsl:if test="@virtual = 'false'">
/* @FILE:s_<xsl:value-of select="@name"/>_i */
#include "mmlite.h"
extern struct <xsl:value-of select="@implemented-interface"/>Vtbl *_pThe<xsl:value-of select="../@name"/>Vtbl;

<xsl:if test="mic:ifdef">#if <xsl:value-of select="mic:ifdef"/>
</xsl:if>

<xsl:value-of select="@ctype"/> <xsl:value-of select="@implementation-name"/> (<xsl:if test="not(mic:this-arg|mic:arg)">void</xsl:if><xsl:for-each select="mic:this-arg|mic:arg">
    /*<xsl:value-of select="@direction"/>*/ <xsl:value-of select="@ctype"/> <xsl:value-of select="@name"/><xsl:if test="position()!=last()">,</xsl:if></xsl:for-each>)
{
    <xsl:if test="@ctype != 'void'">return </xsl:if>_pThe<xsl:value-of select="../@name"/>Vtbl-><xsl:value-of select="@name"/>(<xsl:for-each select="mic:arg">
        <xsl:value-of select="@name"/><xsl:if test="position()!=last()">,</xsl:if></xsl:for-each>);
}
<xsl:if test="mic:ifdef">#endif
</xsl:if></xsl:if></xsl:for-each>

    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
