<?xml version='1.0'?>
<!-- Copyright (c) Microsoft Corporation. All rights reserved. -->
<!-- Generate import section for static methods. Assembly version. -jvh 2000 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:mic="x-schema:expanded-schema.xml">
  <xsl:output method="text"/>

  <xsl:template match="/" xml:space="preserve">

    <xsl:for-each select="//mic:concrete-class[mic:implements-method/@virtual = 'false']">
/********************** <xsl:value-of select="@name"/> **********************/
/* @FILE:<xsl:value-of select="@name"/> */
#include "mmlite.h"
struct <xsl:value-of select="mic:implements/text()"/>Vtbl *_pThe<xsl:value-of select="@name"/>Vtbl;

<xsl:for-each select="mic:implements-method"><xsl:if test="@virtual = 'false'">
/* @FILE:s_<xsl:value-of select="@name"/>_i */
#include "mmlite.h"
<xsl:for-each select="../mic:uses-include">#include "<xsl:value-of select='@name'/>"
</xsl:for-each>
#include "<xsl:value-of select='id(@implemented-interface)/@original-file'/>.h"
extern struct <xsl:value-of select="@implemented-interface"/>Vtbl *_pThe<xsl:value-of select="../@name"/>Vtbl;

<xsl:if test="mic:ifdef">#if <xsl:value-of select="mic:ifdef"/>
</xsl:if>#if !(!defined(_MSC_VER) || defined(_DEBUG)) /* Handle debug/retail build incompatibility */
#pragma function(memcmp,memcpy,memset,strcpy,strcat,strlen)
#if (_MSC_VER &gt;= 1400)
#pragma function(wcscmp,wcscpy,wcscat,wcslen)
#endif
#endif

__declspec(naked) <xsl:value-of select="@ctype"/> <xsl:value-of select="@implementation-name"/> (<xsl:if test="not(mic:this-arg|mic:arg)">void</xsl:if><xsl:for-each select="mic:this-arg|mic:arg">
    /*<xsl:value-of select="@direction"/>*/ <xsl:value-of select="@ctype"/> <xsl:value-of select="@name"/><xsl:if test="position()!=last()">,</xsl:if></xsl:for-each>)
{
    __asm mov eax, dword ptr [_pThe<xsl:value-of select="../@name"/>Vtbl];
    __asm jmp dword ptr [eax + <xsl:value-of select="(position()-1)*4"/>];
}
<xsl:if test="mic:ifdef">#endif
</xsl:if></xsl:if></xsl:for-each>

    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
