<?xml version='1.0'?>
<!-- Copyright (c) Microsoft Corporation. All rights reserved. -->
<!-- Generate files for component packaging. -jvh 2004 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:mic="x-schema:expanded-schema.xml">
  <xsl:output method="text"/>

  <xsl:template match="mic:component[@prefix]" mode="cobmain"><xsl:value-of select="@prefix"/>CobMain</xsl:template>

  <xsl:template match="mic:component[not(@prefix)]" mode="cobmain"><xsl:value-of select="@name"/>CobMain</xsl:template>

  <xsl:template match="/" xml:space="preserve">
    <xsl:for-each select="//mic:component">
/* @FILE:<xsl:value-of select="@name"/>main.c */

PIUNKNOWN <xsl:apply-templates select="." mode="cobmain"/>(void);

PIUNKNOWN CobMain(void)
{
    return <xsl:apply-templates select="." mode="cobmain"/>();
}
</xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
