<?xml version='1.0'?>
<!-- Copyright (c) Microsoft Corporation. All rights reserved. -->
<!-- Generate makefile for packaging components together -jvh 2004 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:mic="x-schema:expanded-schema.xml">
  <xsl:output method="text"/>

  <xsl:template match="/" xml:space="preserve"># Copyright (c) Microsoft Corporation. All rights reserved.

SUBDIR= conf\package
!include $(MMLITE_SDK)\conf\make\first.mk

TARGETS= \<xsl:for-each select="//mic:component[@docob = 'true']">
<xsl:if test="mic:ifdef">!if <xsl:value-of select="mic:ifdef"/>
</xsl:if>    $(SYSTEM_DIR)\<xsl:value-of select='@name'/>.cob \<xsl:if test="mic:ifdef">
!endif</xsl:if></xsl:for-each>

!include $(MMLITE_SDK)/conf/common.mk
<xsl:for-each select="//mic:component[@docob = 'true']">
$(SYSTEM_DIR)\<xsl:value-of select="@name"/>.cob: \
    <xsl:value-of select="@name"/>main.$(O) \
    $(LIBRARY_DIR)\$(*B).lib \
<xsl:for-each select="mic:uses-library">    <xsl:if test="not(contains(@name, '$'))">$(LIBRARY_DIR)\</xsl:if><xsl:value-of select="@name"/><xsl:if test="not(contains(@name, '$'))">.lib</xsl:if> \
</xsl:for-each>    $(COB_LIBS)
</xsl:for-each>

</xsl:template>
</xsl:stylesheet>
