// Copyright (c) Microsoft Corporation. All rights reserved.
//

function loadError(oSRC, str) {
    var oErr = oSRC.parseError;

    var s = "";
    for (var i=1; i < oErr.linepos; i++) {
        s += " ";
    }
    alert("XML parse error " + oErr.url + "(" + oErr.line + "): pos " + oErr.linepos + "\n" + oErr.reason + "\n"
          + oErr.srcText + "\n" + s + "^");
}

function load_xml(file, validate) {
  var oXML = new ActiveXObject("MSXML.DOMDocument");
  oXML.validateOnParse = validate;
  oXML.async = false;
  if (!oXML.load(file)) {
      loadError(oXML, "Load of " + file + " failed");
      return null;
  }

  return oXML;
}

function findLink(directory, indexfile, key)
{
    var file = "";

    if (directory == "")
        file = indexfile;
    else
        file = directory + "/" + indexfile;

    var oXML = load_xml(file);
    if (oXML == null) {
        return;
    }

    var node = oXML.selectSingleNode("//A[@NAME = '" + key + "']");
    if (node == null) {
        alert("\"" + key + "\" not found in " + indexfile);
        return;
    }
    var link = node.getAttribute("HREF");
    if (link == null) {
        alert("\"" + key + "\" in " + file + " has no HREF");
        return;
    }

    if (directory != "")
        link = directory + "/" + link;

    // alert(link);

    window.navigate(link);
}

function PrintHeader() {
	document.write("<TABLE CLASS='buttonbarshade' CELLSPACING='0'><TR><TD>\n</TD></TR></TABLE>\n");
	document.write("<TABLE CLASS='buttonbartable' CELLSPACING='0'><TR ID='hdr'><TD CLASS='runninghead'>");
	document.write("Microsoft Invisible Computing");
	document.write("</TD></TR></TABLE>\n<br/>");
}

function PrintFooter() {
	document.write("<TABLE CLASS='footerbar' CELLSPACING='0'><TR><TD>\n</TD></TR></TABLE>\n");
	document.write("<TABLE CLASS='footerbartable' CELLSPACING='0'><TR ID='hdr'><TD CLASS='runninghead'>");
	document.write("Legal stuff XXX");
	document.write("</TD></TR></TABLE>");
}