@REM Copyright (c) Microsoft Corporation. All rights reserved.

@REM set MMLITE_SDK to current directory if not already set
if X%MMLITE_SDK% == X set MMLITE_SDK=%CD%

nmake -nologo TARGETCPU=i386 TARGETTYPE=debug %1
if %ERRORLEVEL% GTR 1 goto out

nmake -nologo TARGETCPU=arm TARGETTYPE=release TOOLS=gnu %1
if %ERRORLEVEL% GTR 1 goto out
nmake -nologo TARGETCPU=arm TARGETTYPE=release TOOLS=evc %1
if %ERRORLEVEL% GTR 1 goto out

@echo Build Unicode on i386 only
nmake -nologo TARGETCPU=i386 TARGETTYPE=release _UNICODE=1 %1
if %ERRORLEVEL% GTR 1 goto out
@rem nmake -nologo TARGETCPU=i386 TARGETTYPE=debug _UNICODE=1 %1
if %ERRORLEVEL% GTR 1 goto out

nmake -nologo TARGETCPU=i386 TARGETTYPE=release %1
if %ERRORLEVEL% GTR 1 goto out

@echo Build debug versions
nmake -nologo TARGETCPU=arm TARGETTYPE=debug TOOLS=gnu %1
if %ERRORLEVEL% GTR 1 goto out
REM nmake -nologo TARGETCPU=mips TARGETTYPE=debug %1
if %ERRORLEVEL% GTR 1 goto out

nmake -nologo TARGETCPU=arm TARGETTYPE=release TOOLS=arm %1
if %ERRORLEVEL% GTR 1 goto out
@REM nmake -nologo TARGETCPU=arm TARGETTYPE=debug TOOLS=arm %1
@REM if %ERRORLEVEL% GTR 1 goto out

nmake -nologo TARGETCPU=mips TARGETTYPE=release TOOLS=gnu %1
if %ERRORLEVEL% GTR 1 goto out
nmake -nologo TARGETCPU=mips TARGETTYPE=debug TOOLS=gnu %1
if %ERRORLEVEL% GTR 1 goto out
@REM To be phased out soon
nmake -nologo TARGETCPU=mips TARGETTYPE=release %1
if %ERRORLEVEL% GTR 1 goto out

nmake -nologo TARGETCPU=ppc TARGETTYPE=release %1
if %ERRORLEVEL% GTR 1 goto out

nmake -nologo TARGETCPU=arm TARGETTYPE=release TOOLS=ads %1
if %ERRORLEVEL% GTR 1 goto out
@REM nmake -nologo TARGETCPU=arm TARGETTYPE=debug TOOLS=ads %1
@REM if %ERRORLEVEL% GTR 1 goto out

@if NOT EXIST conf\private.mk goto skipem

@echo Build UNSUPPORTED platforms

nmake -nologo TARGETCPU=tm1 TARGETTYPE=release  %1
if %ERRORLEVEL% GTR 1 goto out
nmake -nologo TARGETCPU=tm1 TARGETTYPE=debug  %1
if %ERRORLEVEL% GTR 1 goto out

nmake -nologo TARGETCPU=m68k TARGETTYPE=release %1
if %ERRORLEVEL% GTR 1 goto out

@REM nmake -nologo TARGETCPU=h8 TARGETTYPE=release %1
@REM if %ERRORLEVEL% GTR 1 goto out

:skipem

if NOT X%1==X goto out
cd conf
nmake -nologo web
cd ..

:out
