/* Copyright (c) Microsoft Corporation. All rights reserved. */
    .h8300h
    .section .text
    .global  H8Start

H8Start:
;;	mov.l   #_stack,sp
    mov.l   #0xffff10,er7  ;; H8 3052F internal memory

    jsr     @_AkiInit

;;; Copy idata to data
    mov.l   #__data_start, er0    ; dest
    mov.l   #__idata_start, er1   ; src
    mov.l   #__idata_end, er2
    sub.l   #__idata_start, er2   ; size
    jsr     _memcpy

;;; Clear BSS
    mov.l   #_bss_start, er0      ; dest
    xor.b   er1, er1              ; char
    mov.l   #_end, er2
    sub.l   #_bss_start, er2      ; size
    jsr     _memset

call_baseinit:
    jsr     @_AkiInit2
    jsr     @_BaseInit

    .section .stack
_stack: .word    1
