;/* Copyright (c) Microsoft Corporation. All rights reserved. */

    .h8300h
    .section    .text
    .global     H8IntXX

;    .global     H8Int07

    .global     H8NMI

;    .global     H8Int08
;    .global     H8Int09
;    .global     H8Int10
;    .global     H8Int11

    .global     H8TRAPA
;    .global     H8TimerInt0

    .global     H8Int12
    .global     H8Int13
    .global     H8Int14
    .global     H8Int15
    .global     H8Int16
    .global     H8Int17
    .global     H8Int20
    .global     H8Int21
    .global     H8Int24
    .global     H8Int25
    .global     H8Int26
;    .global     H8Int28
    .global     H8Int29
    .global     H8Int30
    .global     H8Int32
    .global     H8Int33
    .global     H8Int34
    .global     H8Int36
    .global     H8Int37
    .global     H8Int38
    .global     H8Int40
    .global     H8Int41
    .global     H8Int42
    .global     H8Int44
    .global     H8Int45
    .global     H8Int46
    .global     H8Int47
    .global     H8Int52
    .global     H8Int53
    .global     H8Int54
    .global     H8Int55
    .global     H8Int56
    .global     H8Int57
    .global     H8Int58
    .global     H8Int59
    .global     H8Int60

H8NMI:
	; make CXTINFO frame
	push	er6
	push	er5
	push	er4
	push	er3
	push	er2
	push	er1
	push	er0
	push	sp
	mov.l	sp,er0
	jsr		_H8NMIProc
    pop     er0 /* sp, really */
    pop     er0
    pop     er1
    pop     er2
    pop     er3
    pop     er4
    pop     er5
    pop     er6
    rte

H8TRAPA:
	; make CXTINFO frame
	push	er6
	push	er5
	push	er4
	push	er3
	push	er2
	push	er1
	push	er0
	push	sp
	mov.l	sp,er0
	jsr		_H8TrapaProc
    pop     er0 /* sp, really */
    pop     er0
    pop     er1
    pop     er2
    pop     er3
    pop     er4
    pop     er5
    pop     er6
    rte

;;; 
;H8TimerInt0:
;	; make CXTINFO frame
;	push	er6
;	push	er5
;	push	er4
;	push	er3
;	push	er2
;	push	er1
;	push	er0
;	push	sp
;	mov.l	sp,er0
;	jsr _H8TimerInt0
;   pop     er0 /* sp, really */
;   pop     er0
;   pop     er1
;   pop     er2
;   pop     er3
;   pop     er4
;   pop     er5
;   pop     er6
;	rte

H8UnknownInt:
;;;	push er0
	push er1
	push er2
	push er3
	push er4
	push er5
	push er6
	jsr _H8UnknownInt
	pop  er6
	pop  er5
	pop  er4
	pop  er3
	pop  er2
	pop  er1
;;;	pop  er0
	rts

;H8UnknownTrapaInt:
;;;	push er0
;	push er1
;	push er2
;	push er3
;	push er4
;	push er5
;	push er6
;	jsr _H8UnknownTrapaInt
;	pop  er6
;	pop  er5
;	pop  er4
;	pop  er3
;	pop  er2
;	pop  er1
;;;	pop  er0
;	rts

H8UnknownHwInt:
;;;	push er0
	push er1
	push er2
	push er3
	push er4
	push er5
	push er6
	jsr _H8UnknownHwInt
	pop  er6
	pop  er5
	pop  er4
	pop  er3
	pop  er2
	pop  er1
;;;	pop  er0
	rts

H8UnknownTimerInt:
;;;	push er0
	push er1
	push er2
	push er3
	push er4
	push er5
	push er6
	jsr _H8UnknownTimerInt
	pop  er6
	pop  er5
	pop  er4
	pop  er3
	pop  er2
	pop  er1
;;;	pop  er0
	rts

H8UnknownSciInt:
;;;	push er0
	push er1
	push er2
	push er3
	push er4
	push er5
	push er6
	jsr _H8UnknownSciInt
	pop  er6
	pop  er5
	pop  er4
	pop  er3
	pop  er2
	pop  er1
;;;	pop  er0
	rts

H8UnknownDmacInt:
;;;	push er0
	push er1
	push er2
	push er3
	push er4
	push er5
	push er6
	jsr _H8UnknownDmacInt
	pop  er6
	pop  er5
	pop  er4
	pop  er3
	pop  er2
	pop  er1
;;;	pop  er0
	rts

H8UnknownAdInt:
;;;	push er0
	push er1
	push er2
	push er3
	push er4
	push er5
	push er6
	jsr _H8UnknownAdInt
	pop  er6
	pop  er5
	pop  er4
	pop  er3
	pop  er2
	pop  er1
;;;	pop  er0
	rts
	
;;; dummy for reserved interrupt
H8IntXX:
    rte

;;; NMI
;H8Int07:
;   push    er0
;   mov.l   #7, er0
;   jsr     H8UnknownInt
;   pop     er0
;   rte

;;; TRAPA #0
;H8Int08:
;    push    er0
;    mov.l   #8, er0
;;;;    jsr     H8UnknownInt
;    jsr     H8UnknownTrapaInt
;    pop     er0
;    rte

;;; TRAPA #1
;H8Int09:
;    push    er0
;    mov.l   #9, er0
;;;;    jsr     H8UnknownInt
;    jsr     H8UnknownTrapaInt
;    pop     er0
;    rte

;;; TRAPA #2
;H8Int10:
;    push    er0
;    mov.l   #10, er0
;;;;    jsr     H8UnknownInt
;    jsr     H8UnknownTrapaInt
;    pop     er0
;    rte

;;; TRAPA #3
;H8Int11:
;    push    er0
;    mov.l   #11, er0
;;;;    jsr     H8UnknownInt
;    jsr     H8UnknownTrapaInt
;    pop     er0
;    rte

;;; IRQ0
H8Int12:
    push    er0
    mov.l   #12, er0
;;    jsr     H8UnknownInt
    jsr     H8UnknownHwInt
    pop     er0
    rte

;;; IRQ1
H8Int13:
    push    er0
    mov.l   #13, er0
;;    jsr     H8UnknownInt
    jsr     H8UnknownHwInt
    pop     er0
    rte

;;; IRQ2
H8Int14:
    push    er0
    mov.l   #14, er0
;;    jsr     H8UnknownInt
    jsr     H8UnknownHwInt
    pop     er0
    rte

;;; IRQ3
H8Int15:
    push    er0
    mov.l   #15, er0
;;    jsr     H8UnknownInt
    jsr     H8UnknownHwInt
    pop     er0
    rte

;;; IRQ4
H8Int16:
    push    er0
    mov.l   #16, er0
;;    jsr     H8UnknownInt
    jsr     H8UnknownHwInt
    pop     er0
    rte

;;; IRQ5
H8Int17:
    push    er0
    mov.l   #17, er0
;;    jsr     H8UnknownInt
    jsr     H8UnknownHwInt
    pop     er0
    rte

;;; Watchdog Timer WOVI
H8Int20:
    push    er0
    mov.l   #20, er0
    jsr     H8UnknownInt
    pop     er0
    rte

;;; Refresh Controller CMI
H8Int21:
    push    er0
    mov.l   #21, er0
    jsr     H8UnknownInt
    pop     er0
    rte

;;; ITU0 IMIA0 (Compare Match Input Capture A0)
H8Int24:
    push    er0
    mov.l   #24, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU0 IMIB0 (Compare Match Input Capture B0) 
H8Int25:
    push    er0
    mov.l   #25, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU0 OVI0  (Overflow 0)
H8Int26:
    push    er0
    mov.l   #26, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU1 IMIA1 (Compare Match Input Capture A1)
;H8Int28:
;   push    er0
;   mov.l   #28, er0
;   jsr     H8UnknownInt
;   pop     er0
;   rte

;;; ITU1 IMIB1 (Compare Match Input Capture B1)
H8Int29:
    push    er0
    mov.l   #29, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU1 OVI1  (Overflow 1)
H8Int30:
    push    er0
    mov.l   #30, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU2 IMIA2 (Compare Match Input Capture A2)
H8Int32:
    push    er0
    mov.l   #32, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU2 IMIB2 (Compare Match Input Capture B2) 
H8Int33:
    push    er0
    mov.l   #33, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU2 OVI2  (Overflow 2)
H8Int34:
    push    er0
    mov.l   #34, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU3 IMIA3 (Compare Match Input Capture A3)
H8Int36:
    push    er0
    mov.l   #36, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU3 IMIB3 (Compare Match Input Capture B3)
H8Int37:
    push    er0
    mov.l   #37, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU3 OVI3  (Overflow 3)
H8Int38:
    push    er0
    mov.l   #38, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU4 IMIA4 (Compare Match Input Capture A4)
H8Int40:
    push    er0
    mov.l   #40, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU4 IMIB4 (Compare Match Input Capture B4)
H8Int41:
    push    er0
    mov.l   #41, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; ITU4 OVI4  (Overflow 4)
H8Int42:
    push    er0
    mov.l   #42, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownTimerInt
    pop     er0
    rte

;;; DMAC DEND0A
H8Int44:
    push    er0
    mov.l   #44, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownDmacInt
    pop     er0
    rte

;;; DMAC DEND0B
H8Int45:
    push    er0
    mov.l   #45, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownDmacInt
    pop     er0
    rte

;;; DMAC DEND1A
H8Int46:
    push    er0
    mov.l   #46, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownDmacInt
    pop     er0
    rte

;;; DMAC DEND1B
H8Int47:
    push    er0
    mov.l   #47, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownDmacInt
    pop     er0
    rte

;;; SCI0 ERI0
H8Int52:
    push    er0
    mov.l   #52, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownSciInt
    pop     er0
    rte

;;; SCI0 RXI0
H8Int53:
    push    er0
    mov.l   #53, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownSciInt
    pop     er0
    rte

;;; SCI0 TXI0
H8Int54:
    push    er0
    mov.l   #54, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownSciInt
    pop     er0
    rte

;;; SCI0 TEI0
H8Int55:
    push    er0
    mov.l   #55, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownSciInt
    pop     er0
    rte

;;; SCI1 ERI1
H8Int56:
    push    er0
    mov.l   #56, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownSciInt
    pop     er0
    rte

;;; SCI1 RXI1
H8Int57:
    push    er0
    mov.l   #57, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownSciInt
    pop     er0
    rte

;;; SCI1 TXI1
H8Int58:
    push    er0
    mov.l   #58, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownSciInt
    pop     er0
    rte

;;; SCI1 TEI1
H8Int59:
    push    er0
    mov.l   #59, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownSciInt
    pop     er0
    rte

;;; A/D ADI
H8Int60:
    push    er0
    mov.l   #60, er0
;    jsr     H8UnknownInt
    jsr     H8UnknownAdInt
    pop     er0
    rte

