/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>

SCODE GenericQueryInterface(IUnknown *pThis, REFIID IidQuery, void **ppObject,
                            REFIID IidInterface)
{
    if (UuidCmp(IidInterface, IidQuery) || UuidCmp((&IID_IUnknown), IidQuery)){
        pThis->v->AddRef(pThis);
        *ppObject = (void *)pThis;
        return NO_ERROR;
    }
    *ppObject = NULL;
    return E_NO_INTERFACE;
}
