/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>
#include <stdlib.h>
#include <tchar.h>

UINT __cdecl _ttoh(const _TCHAR *String)
{
    UINT Value = 0, Digit;
    _TCHAR c;

    while ((c = *String++) != _EOS) {

        if (c >= '0' && c <= '9')
            Digit = (UINT) (c - '0');
        else if (c >= 'a' && c <= 'f')
            Digit = (UINT) (c - 'a') + 10;
        else if (c >= 'A' && c <= 'F')
            Digit = (UINT) (c - 'A') + 10;
        else
            break;

        Value = (Value << 4) + Digit;
    }

    return Value;
}
