/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>
#include <stdlib.h>
#include <tchar.h>

/* 7.10.1.2 convert decimal string to int */

int __cdecl _ttoi(const _TCHAR *String)
{
    UINT Value = 0, Digit;
    _TCHAR c;

    while ((c = *String++) != _EOS) {

        if (c >= '0' && c <= '9')
            Digit = (UINT) (c - '0');
        else
            break;

        Value = (Value * 10) + Digit;
    }

    return Value;
}
