/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <stdarg.h>
#include <stdio.h>
#include "_stdio.h"

INT __cdecl fscanf(FILE *stream, const char *format, ...)
{
    va_list args;
    int r;

    va_start(args,format);
    r = __svfscanf( stream, frefill, format, args);
    va_end(args);

    return r;
}

