/* Copyright (c) Microsoft Corporation. All rights reserved. */
/*
 *  Perform a 32bit multiplication, returns high part of 64bit result.
 */
	#include <arm_asm.h>

	_CODE(C$$code)

        _EXPORT(umulm)
        _EXPORT(_ll_muluu)

_FUNCTION(umulm)
_FUNCTION(_ll_muluu)
#if defined(__GNUC__)
    /* Compiler doesnt understand UMULL ?!? */
    .int    0xe0802091
#else
    umull   r2,r0,r1,r0
#endif
    mov     r1,r2    /* make ADS happy, e.g. _ll_muluu */
    mov     pc,lr

       _END
