# Copyright (c) Microsoft Corporation. All rights reserved.
#

# NB: _adsdbg.s is only for debug build.
BASECRT_OBJECTS= _break.$(O) _memfunc.$(O) _udiv.$(O) _div10.$(O) _umulm.$(O) \
        _ads.$(O) _adsdbg.$(O)
# _int64.$(O)


# NB: _adsdbg.s is only for debug build.
CRT_OBJS= _break.$(O) _memfunc.$(O) _thertl.$(O) _longjump.$(O) \
	_udiv.$(O) _div10.$(O) _umulm.$(O) _ads.$(O) _adsdbg.$(O) 

!if "$(TOOLS)"=="arm" || "$(TOOLS)"=="ads"
CRT_OBJS=$(CRT_OBJS) __main.$(O) _cobstart.$(O)

__main.$(O): $(SRC_DIR)\md\arm\__main.s
_cobstart.$(O): $(SRC_DIR)\md\arm\_cobstart.s
!endif

!if "$(TOOLS)" == "evc"
CRT_OBJS=$(CRT_OBJS) _cobmain.$(O) _exemain.$(O)
!endif
