/* Copyright (c) Microsoft Corporation. All rights reserved. */
/* main.c
 *
 * This file is included in ansic.lib because mainCRTStartup needs
 * to be defined in the exe.
 */

#include <mmlite.h>
#include <stdlib.h>

#if defined(_UNICODE)
#define _tmainCRT wmainCRT
#else
#define _tmainCRT mainCRT
#endif

EXTERN_C INT __cdecl _tmain(UINT argc, _TCHAR *argv[]);

extern PIBASERTL pTheBaseRtl;
extern ADDRESS *pTheBaseVtbl;

INT MODENTRY _tmainCRT(PIBASERTL pRtl)
{
    /* Enable RTL function calling */
    pTheBaseRtl = pRtl;
    pTheBaseVtbl = (PTR) pRtl->v;

    /* This is the main module for a new process.
     * Initialize the module, call main, then Exit.
     */
    return (*_tmain)(0, 0);
}
