/* Copyright (c) Microsoft Corporation. All rights reserved. */
/* main.c
 *
 * This file is included in ansic.lib because mainCRTStartup needs
 * to be defined in the exe.
 */

#include <mmlite.h>
#include <stdlib.h>

#if defined(_UNICODE)
#define _tmainCRTStartup1 wmainCRTStartup1
#else
#define _tmainCRTStartup1 mainCRTStartup1
#endif

EXTERN_C INT MODENTRY CrtInit(INT Op);
EXTERN_C INT __cdecl _tmain(UINT argc, _TCHAR *argv[]);

PIBASERTL _pTheBaseRtl;
struct IBaseRtlVtbl *_pTheBaseRtlVtbl;

void *_main_arg;                  /* BUGBUG what is this? */
int   __main_called = 0;        /* armcc junk */

INT MODENTRY _tmainCRTStartup1(PIBASERTL pRtl)
{
    INT Ret = 0;

    /* Enable RTL function calling */
    _pTheBaseRtl = pRtl;
    _pTheBaseRtlVtbl = (PTR) pRtl->v;

    /* This is the main module for a new process.
     * Initialize the module, call main, then Exit.
     */
    Ret = CrtInit(DLL_PROCESS_ATTACH);

    if (Ret) {
#if 1
        Ret = (*_tmain)(0, 0);
#else
        UINT argc;
        _TCHAR **argv;
        Ret = ParseCmdLine(&argc, &argv);
        if (Ret == 0) {
            _TCHAR *buffer = argv[0];
            argv[0] = pArgv0;

            Ret = _tmain(argc, argv, NULL);

            free(buffer);
            free(argv);
        }
#endif
    }

    CrtInit(DLL_PROCESS_DETACH);
    return Ret;
}

INT MODENTRY CrtInit(INT Op)
{
    return TRUE;
}

void __gccmain(void)
{
}

INT MODENTRY __main2(PIBASERTL pRtl)
{
    /* BUGBUG _main vs. __main ??? */
    if (__main_called)
        return 0;
    __main_called = 1;

    return _tmainCRTStartup1(pRtl);
}
