/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <stdarg.h>
#include <stdio.h>
#include <tchar.h>
#include "_stdio.h"

INT __cdecl _tscanf(const _TCHAR *format, ...)
{
    va_list args;
    int r;

    va_start(args,format);      /* Initialize variable arguments  */
    r = __svtfscanf( stdin, frefill, format, args);
    va_end(args);               /* Reset variable arguments       */

    return r;
}
