/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <string.h>
#include <tchar.h>

#ifdef _MSC_VER
#pragma function(strcat)
#endif

#if defined(_MSC_VER) && (_MSC_VER != 1400 || !defined(ppc)) && (_MSC_VER != 1310) && (_MSC_VER != 1200) && defined(_UNICODE)
#pragma function(wcscat)
#endif

/*
 * Append string pointed by pSrc to pDst.
 */
_TCHAR * _tcscat(_TCHAR * pDst, const _TCHAR *pSrc)
{
    _TCHAR * r = pDst;

    while (*pDst != '\0')
        pDst++;

    while ((*pDst++ = *pSrc++) != '\0')
        continue;

    return r;
}
