/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <tchar.h>

/* String searching functions as per ISO/IEC 9899 section 7.11.5 */

/* 7.11.5.3. Compute length of initial segment of s of chars NOT in set -jvh */
size_t __cdecl _tcscspn(const _TCHAR *s, const _TCHAR *set)
{
    const _TCHAR *x;
    size_t i;

    for (i = 0; *s; s++, i++)
        for (x = set; *x; x++)
            if (*s == *x)
                return i;
    return i;
}
