/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <tchar.h>
#include <ctype.h>

/* Case insensitive strcmp. Non-ISO, deprecated. */
int _tcsicmp(const _TCHAR * pStr1, const _TCHAR *pStr2)
{
    _TCHAR c1, c2;
    int  v;

    do {
        c1 = *pStr1++;
        c2 = *pStr2++;
        /* The casts are necessary when pStr1 is shorter & char is signed */
        v = (UINT) tolower(c1) - (UINT) tolower(c2);
    } while ((v == 0) && (c1 != '\0') && (c2 != '\0') );

    return v;
}
