/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <string.h>
#include <ctype.h>

/* Case insensitive strncmp. Non-ISO, deprecated. */
int _strnicmp(const char *pStr1, const char *pStr2, size_t Count)
{
    char c1, c2;
    INT v;

    if (Count == 0)
        return 0;

    do {
        c1 = *pStr1++;
        c2 = *pStr2++;
        /* the casts are necessary when pStr1 is shorter & char is signed */
        v = (UINT) tolower(c1) - (UINT) tolower(c2);
    } while ((v == 0) && (c1 != '\0') && (--Count > 0));

    return v;
}

