/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <tchar.h>

/* String searching functions as per ISO/IEC 9899 section 7.11.5 */

/* 7.11.5.6. Return length of initial segment of s of chars in set -jvh */
size_t  __cdecl _tcsspn(const _TCHAR *s, const _TCHAR *set)
{
    const _TCHAR *x;
    size_t i;

    for (i = 0; *s; s++, i++) {
        for (x = set; *x; x++)
            if (*s == *x)
                goto continue_outer;
        break;
    continue_outer:;
    }
    return i;
}
