/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <stdio.h>
#include <wchar.h>
#include <mmlite.h>

void __cdecl PrintBuf(void* Where, _TCHAR * String);

/* returns < 0 iff error */
INT __cdecl vwprintf(const wchar_t *format,
                            va_list arg)
{
#if !defined(_UNICODE)
    STRFORMAT_ESCAPE Format;

    Format.flag = ASCII_NOT_A_CHARACTER;
    Format.ptr  = (char *) format;
    format = (const wchar_t *) &Format;
#endif

    StrFormat(PrintBuf,stdout,(_TCHAR *)format,arg);

    /* xxx error check */
    return 0;
}

int __cdecl wprintf(const wchar_t *format, ...)
{
    va_list arg;
    INT ret;

    va_start(arg,format);
    ret = vwprintf( format, arg );
    va_end(arg);

    return ret;

}
