/* Copyright (c) Microsoft Corporation. All rights reserved. */
/* --------------------------------------------------------------------------
 *
 * Module:
 *
 *    pnp.c
 *
 * Purpose:
 *
 *    Plug aNd Play manager.
 *
 * Author:
 *    A. Forin (sandrof)
 *
 * --------------------------------------------------------------------------
 */

#include <mmlite.h>

extern PIUNKNOWN PnpCobMain(void);

int _tmain(int argc, _TCHAR **argv)
{
    /* Keep a ref to the IModule till we are done
     * Putting it in the namespace lets someone else kill us
     */
    PIMODULE MyModule;
    PINAMESPACE Ns = CurrentNameSpace();
    SCODE sc;

    sc = GetCurrentModule(&MyModule);
    sc = Ns->v->Register(Ns,_T("PnpManager"),(PIUNKNOWN) MyModule, 0, NULL);
    sc = MyModule->v->Release(MyModule);

    PnpCobMain();

    return 0;
}
