/* Copyright (c) Microsoft Corporation. All rights reserved. */
/* --------------------------------------------------------------------------
 *
 * Module:
 *
 *    eb63usart.c
 *
 * Purpose:
 *
 *    Portable Device Driver for serial lines, Atmel m63200 USART customization
 *
 * Author:
 *    A. Forin (sandrof)
 *
 * --------------------------------------------------------------------------
 */
#define USE_RCV_DMA_TIMEOUT 1
#include "eb63usart.h"

/* Device driver proper
 */
#define SERIAL_INBUFFER_SIZE 512
#define USE_XMIT_DMA 1
#define USE_RECV_DMA 1
#include <serial.h>
