/* Copyright (c) Microsoft Corporation. All rights reserved. */
/* --------------------------------------------------------------------------
 *
 * Module:
 *
 *    eb63usart.c
 *
 * Purpose:
 *
 *    Portable Device Driver for serial lines, Atmel m63200 USART customization
 *
 * Author:
 *    A. Forin (sandrof)
 *
 * --------------------------------------------------------------------------
 */
#include "eb63usart.h"

/* Device driver proper
 * Dont use DMA at all
 */
#define SERIAL_INBUFFER_SIZE 512
#include "serial.h"
