@REM Copyright (c) Microsoft Corporation. All rights reserved.

@echo " "
@echo Script for testing that all flag configurations compile, both byteorders
@echo " "
@echo x86 build, all configurations
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=1 -D__WANTS_FATFS_WRITES=1 -D__WANTS_LONG_FILENAMES=1
nmake -nologo TARGETCPU=i386 TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=1 -D__WANTS_FATFS_WRITES=0 -D__WANTS_LONG_FILENAMES=1
nmake -nologo TARGETCPU=i386 TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=0 -D__WANTS_FATFS_WRITES=1 -D__WANTS_LONG_FILENAMES=1
nmake -nologo TARGETCPU=i386 TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=0 -D__WANTS_FATFS_WRITES=0 -D__WANTS_LONG_FILENAMES=1
nmake -nologo TARGETCPU=i386 TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=1 -D__WANTS_FATFS_WRITES=1 -D__WANTS_LONG_FILENAMES=0
nmake -nologo TARGETCPU=i386 TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=1 -D__WANTS_FATFS_WRITES=0 -D__WANTS_LONG_FILENAMES=0
nmake -nologo TARGETCPU=i386 TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=0 -D__WANTS_FATFS_WRITES=1 -D__WANTS_LONG_FILENAMES=0
nmake -nologo TARGETCPU=i386 TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=0 -D__WANTS_FATFS_WRITES=0 -D__WANTS_LONG_FILENAMES=0
nmake -nologo TARGETCPU=i386 TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out


@echo ppc build, all configurations
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=1 -D__WANTS_FATFS_WRITES=1 -D__WANTS_LONG_FILENAMES=1
nmake -nologo TARGETCPU=ppc TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=1 -D__WANTS_FATFS_WRITES=0 -D__WANTS_LONG_FILENAMES=1
nmake -nologo TARGETCPU=ppc TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=0 -D__WANTS_FATFS_WRITES=1 -D__WANTS_LONG_FILENAMES=1
nmake -nologo TARGETCPU=ppc TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=0 -D__WANTS_FATFS_WRITES=0 -D__WANTS_LONG_FILENAMES=1
nmake -nologo TARGETCPU=ppc TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=1 -D__WANTS_FATFS_WRITES=1 -D__WANTS_LONG_FILENAMES=0
nmake -nologo TARGETCPU=ppc TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=1 -D__WANTS_FATFS_WRITES=0 -D__WANTS_LONG_FILENAMES=0
nmake -nologo TARGETCPU=ppc TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=0 -D__WANTS_FATFS_WRITES=1 -D__WANTS_LONG_FILENAMES=0
nmake -nologo TARGETCPU=ppc TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out
set CC_FLAGS=-D__WANTS_BUFFER_CACHE=0 -D__WANTS_FATFS_WRITES=0 -D__WANTS_LONG_FILENAMES=0
nmake -nologo TARGETCPU=ppc TARGETTYPE=release clean all
@if %ERRORLEVEL% GTR 1 goto out

:out
set CC_FLAGS=
