/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <dbres.h>

typedef struct _DemoStickState {
    struct StickState super;
    UINT UnitID;
} DemoStickState;


PRIVATE SCODE Demo_StickState_Get(const PropertyClass *Class, PTR Value, CurrentRequest *currentRequest)
{
   
       return S_OK;
}

PRIVATE SCODE Demo_StickState_Put(const PropertyClass *Class, PTR Value)
{
        
    
    
    
    return S_OK;
}

/* Initialize private fields */
PRIVATE SCODE Demo_StickState_Init(const PropertyClass *Class, PTR Value,
                                /*unused*/ PIHEAP Heap,PICIMRESOURCE Resource)
{
    DemoStickState *sub = Value;

    return S_OK;
}

PRIVATE SCODE Demo_StickState_Copy(const PropertyClass *Class,
                                PTR _Dst, const void *_Src, PIHEAP Heap)
{
    DemoStickState *sub = _Dst;
    const DemoStickState *src = _Src;

    sub->UnitID = src->UnitID;

    return S_OK;
}


extern const PropertyClass StickState_Prop;

const PropertyClass Demo_StickState_Prop = {
    _T("st1:demo_stickstate"), _T("demo_stickstate"),
    sizeof(DemoStickState),
    _T("st1:StickState"), _T("st1:StickState"),
    &StickState_Prop,
    Demo_StickState_Get, Demo_StickState_Put,
    Demo_StickState_Init, NULL, Demo_StickState_Copy,
    NULL, NULL, NULL,NULL, NULL /*Demo_StickState_Start*/,
    NULL /*Demo_StickState_Apply*/
};
