/* Copyright (c) Microsoft Corporation. All rights reserved. */


#include <mmlite.h>


INT64 __declspec(naked) 
strump(ADDRESS newsp, ADDRESS newpc)
{
    __asm {
        push    ebp;            
        mov     ebp,    esp;    
       
        mov     eax,    newsp;  /* stack parameter */
        mov     edx,    newpc;  /* program counter parameter */

        mov     esp,    newsp;  /* switch stacks */

        call    edx;            /* do the RPC */

        mov     esp,    ebp;    /* switch back to the old stack */
        pop     ebp;            

        ret;                    /* return value is in edx:eax */
    }
}


