/* Copyright (c) Microsoft Corporation. All rights reserved. */
#ifndef __TYPEINFOHANDLER__
#define __TYPEINFOHANDLER__ 1

extern const char** const_strings;
enum TYPEINFO_ELEMENT_CONSTANTS{
    TYPEINFO_IFACEGROUP = 0, 
    TYPEINFO_IFACE, 
    TYPEINFO_ENVELOPE, 
    TYPEINFO_BODY,
    TYPEINFO_HEADER,
    TYPEINFO_FAULT,
    TYPEINFO_FAULTCODE,
    TYPEINFO_FAULTSTRING,
    TYPEINFO_DETAIL,
    TYPEINFO_REPLY, 
    TYPEINFO_METHOD, 
    TYPEINFO_ARG, 
    TYPEINFO_STACK, 
    TYPEINFO_FRAME, 
    TYPEINFO_RESPONSE, 
    TYPEINFO_WSDL_PART, 
    TYPEINFO_DEFINITIONS, 
    TYPEINFO_TYPES, 
    TYPEINFO_BINDING, 
    TYPEINFO_PORT_TYPE, 
    TYPEINFO_OPERATION, 
    TYPEINFO_INPUT, 
    TYPEINFO_OUTPUT,
    TYPEINFO_COLON,
    TYPEINFO_SPACE,
    TYPEINFO_XMLNS,
    TYPEINFO_OPEN_TAG,
    TYPEINFO_CLOSE_TAG,
    TYPEINFO_DQUOTE,
    TYPEINFO_EQUALSTO,
    TYPEINFO_ENCODINGSTYLE,
    TYPEINFO_OPEN_END_TAG,
    TYPEINFO_MAXIMUM_NUMBER_OF_STRINGS,
    TYPEINFO_STRUCT_GROUP,
    TYPEINFO_STRUCT,
    TYPEINFO_ITEM    
};

typedef enum TYPEINFO_ELEMENT_CONSTANTS TYPEINFO_ELEMENT_CONSTANTS;

#endif
