/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <stdio.h>
#include <mmlite.h>

#undef WINAPI
#define WINAPI

struct in_addr {
    UINT32 s_addr;
};

char * WINAPI inet_ntoa(struct in_addr in)
{
    static char b[18];  /* perfectly MP safe Berkeley junk, tzk tzk */
    UINT8 *ptr;

    ptr = (UINT8 *) &in.s_addr;
    sprintf(b, "%d.%d.%d.%d", ptr[0], ptr[1], ptr[2], ptr[3]);

    return b;
}
