/* Copyright (c) Microsoft Corporation. All rights reserved. */

/* Computes the appropriate constants to tune the Delay() API.
 * The result should be put in the platform-specific code.
 */
#include <mmlite.h>

void TuneDelayLoop(INT32 Count)
{
    __asm mov eax,Count
    next:
    __asm dec eax
    __asm jg next
    return;
}
