/* Copyright (c) Microsoft Corporation. All rights reserved. */
/* Sample for extended instruction assembly files */

#include <mips/mips_asm.h>
#define __ASSEMBLER__ 1
#include <mips/ml40x.h>

        _EXPORT(SpecialInstruction0)
        _EXPORT(SpecialInstruction1)
        _EXPORT(SpecialInstruction2)
        
        .set noreorder

/* UINT32 SpecialInstruction0(UINT32 a0_r4, UINT32 a1_r5, UINT32 a2_r6, UINT32 a3_r7);
 * Returns: Whatever the special instruction does
 */
ENTRY(SpecialInstruction0)
    nop           /* REPLACE this with a "_DCD 0xnnnnnnn" */
    addi	$t0,$zero,0x3
    mtc0	$t0,$s0
    addi	$t1,$t1,0x1
    addi	$t1,$t1,0x1
    addi	$t1,$t1,0x1
    addi	$t1,$t1,0x1
    addi	$t1,$t1,0x1
    addi	$t1,$t1,0x1
    addi	$t1,$t1,0x1
    addi	$t1,$t1,0x1
    nop
    nop
    nop
    nop
    nop
    _DCD	0xfc084800		//EXMR $t0, $t1
    mtc0	$zero,$s0
    or		$v0,$t0,$zero		
    jr     $ra
    nop
END(SpecialInstruction0)

        
/* UINT32 SpecialInstruction1(UINT32 a0_r4, UINT32 a1_r5, UINT32 a2_r6, UINT32 a3_r7);
 * Returns: Whatever the special instruction does
 */
ENTRY(SpecialInstruction1)
    nop           /* REPLACE this with a "_DCD 0xnnnnnnn" */
    jr     $ra
    nop
END(SpecialInstruction1)


//@BS: Special instruction to test register file access from the extension
/* UINT32 SpecialInstruction2(UINT32 a0_r4, UINT32 a1_r5, UINT32 a2_r6, UINT32 a3_r7);
 * Returns: Whatever the special instruction does
 */
ENTRY(SpecialInstruction2)
    nop           /* REPLACE this with a "_DCD 0xnnnnnnn" */
    addi	$t1,$zero,0x3
    nop
    nop
    nop
    nop
    nop
    _DCD	0xfd28000f		//Read the contents of RS, add it to the immediate and store it into RT
    or	$v0,$t0,$zero	// Writing the result to the output (register v0)
    jr     $ra
    nop
END(SpecialInstruction2)
