
/* Copyright (c) Microsoft Corporation. All rights reserved. */

#include <mmlite.h>
#include <stdio.h>
#include <stdlib.h>
#include <tchar.h>

#include "../utilities/utility.h"

/* Check command line argument passing
 */
int _tmain(int argc, _TCHAR **argv)
{
    const _TCHAR * pStr;

    UnusedParameter(argc);
    UnusedParameter(argv);

    pStr = ProcessImage();
    if (pStr)
        _tprintf(_TEXT("%s:"),pStr);
    else {
        _tprintf(_TEXT("No command line args, test FAILED\n\r"));
        return SetAndReturn(EXIT_FAILURE);
    }

    /* NULL is ok from this one
     */
    pStr = ProcessArgs();
    if (pStr)
        _tprintf(_TEXT(" %s\n\r"), pStr);

    _tprintf(_TEXT("Test PASSED\n\r"));

    return SetAndReturn(EXIT_SUCCESS);
}
