/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>
#include <stdio.h>
#include <tchar.h>
#include <stdlib.h>

int _tmain(int argc, _TCHAR ** argv)
{
    SCODE sc;
    IModule *pMod;
    ADDRESS a;

    sc = GetCurrentModule(&pMod);
    if (FAILED(sc)) {
        _tprintf(_T("GetCurrentModule failed x%x\n\r"), sc);
        goto Fail;
    }

    sc = pMod->v->GetFunctionAddress(pMod,_T(""),1,&a);
    pMod->v->Release(pMod);

    if (!FAILED(sc)) {
        _tprintf(_T("Got sc=%x a=%x (should have failed with sc=%x\n"),
                 sc,a,E_PROC_NOT_FOUND);
        goto Fail;
    }

    _tprintf(_T("This test PASSED\n\r"));
    exit(EXIT_SUCCESS);
    return 0;/*amusme*/

 Fail:
    _tprintf(_T("This test FAILED\n\r"));
    exit(EXIT_FAILURE);
    return 0;/*amusme*/
}

