/* Common file, change one change them all.
 */
/* If the compiler does not support i64, we only need one copy of the test.
 */
#if defined(__NO_BUILTIN_INT64)
Test(NoCompilerBuiltin)

#else
/* If the compiler does support it, we need two copies.
 * The first one is the one we get normally, e.g. the compiler-supported one.
 */
Test(CompilerBuiltin)
/* The second one we need to work on before we get it.
 */
#define __NO_BUILTIN_INT64 1
typedef struct _INT64 MYOTHERINT64;
typedef struct _UINT64 MYOTHERUINT64;
#undef INT64
#undef UINT64
#define INT64 MYOTHERINT64
#define UINT64 MYOTHERUINT64
#undef Int64Initializer
#undef Int64FromHighAndLow
#undef Uint64High32Bits
#undef Uint64Low32Bits
#undef Int32ToInt64
#undef Uint32ToUint64
#undef Int64ToInt32
#undef Uint64ToUint32
#undef Int64ToUint64
#undef Uint64ToInt64
#undef Int64Equal
#undef Int64Less
#undef Int64IsZero
#undef Int64IsNegative
#undef Int64IsNotPositive
#undef Int64Add
#undef Uint64Add
#undef Int64AddInt32
#undef Uint64AddUint32
#undef Int64Subtract
#undef Uint64Subtract
#undef Uint64SubtractUint32
#undef Int64LShift
#undef Int64RShift
#undef Uint64LShift
#undef Uint64RShift
#undef Int64Or
#undef Int64And
#undef Int64Xor
#undef Uint64Or
#undef Uint64And
#undef Uint64Xor
#undef Int64TimesInt32
#undef Int64TimesInt64
#undef Uint64TimesUint32
#undef Uint64TimesUint64
#undef Int64DividedByInt32
#undef Int64DividedByInt64
#undef Uint64DividedByUint32
#undef Uint64DividedByUint64
#undef Uint64ModulusUint32
#undef Uint64ModulusUint64
#undef Int64ModulusInt32
#undef Int64ModulusInt64
#undef INT64_ZERO
#undef UINT64_ZERO
#undef UINT64_MAX

#undef __BASE_INT64_H_
#define __INCLUDE_INT64_AGAIN 1
#include <base/int64.h>

Test(NoCompilerBuiltin)
#endif

