<?xml version='1.0'?>
<!-- Copyright (c) Microsoft Corporation. All rights reserved. -->
<!-- Generate list of definitions found by canal.js -jvh 2000 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:mic="x-schema:expanded-schema.xml">
  <xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
  <xsl:template match="/">
    <HTML>
    <HEAD>
    <META HTTP-EQUIV="Content-Type" Content="text/html; charset=Windows-1252"/>
    <TITLE>IThread::GetProcess</TITLE>
    <SCRIPT SRC="linkcss.js"></SCRIPT>
    <SCRIPT SRC="langref.js"></SCRIPT>
    </HEAD>
    <BODY TOPMARGIN="0">

    <TABLE CLASS="buttonbarshade" CELLSPACING="0"><TR><TD> </TD></TR></TABLE>
    <TABLE CLASS="buttonbartable" CELLSPACING="0"><TR ID="hdr"><TD CLASS="runninghead">Microsoft Invisible Computing</TD></TR>
    </TABLE>
    <br/>

    <H1>Definitions</H1>
    <DL>
    <xsl:for-each select="/mic:mmlite-spec/mic:tag">
      <xsl:sort select="@name" />
      <xsl:sort select="@kind" />
      <xsl:sort select="@path" />
      <LI>
      <A><xsl:attribute name="HREF"><xsl:value-of select="@path"/>/<xsl:value-of select="@file"/>.htm#<xsl:value-of select="@ref"/></xsl:attribute><xsl:attribute name="NAME"><xsl:value-of select="@name"/></xsl:attribute><xsl:value-of select="@name"/></A> <sp/> <xsl:value-of select="@kind" /> <sp/> <A><xsl:attribute name="HREF"><xsl:value-of select="@path"/>/<xsl:value-of select="@file"/>.htm</xsl:attribute><xsl:value-of select="@path" />/<xsl:value-of select="@file" /></A>
      </LI>
    </xsl:for-each>
    </DL>
    </BODY>
    </HTML>
  </xsl:template>
</xsl:stylesheet>
