<!-- Copyright (c) Microsoft Corporation. All rights reserved. -->
<!-- Generate documentation through web server --jvh 2000 -->
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--
  File name:status.asp
  Purpose:  It allows the user to query status information stored in the mmlite data base.
  Author:   Michael Miele
  e-mail:   mmiele@microsoft.com
  Rev :     Originated  feb 29, 2000
  Notes:    
-->
              
<html>

<head>
  <meta name="author" value="Michael Miele">
  <meta name="MS.CATEGORY" content="Intranet">
  <meta name="MS.LOCALE"   content="EN-US">
  <meta http-eqiv="Content-Type" content="text/html; charset=Windows-1252"> 

  <LINK REL="stylesheet" TYPE="text/css" HREF="/mmliteue/styles/menus.css">
  <LINK REL="stylesheet" TYPE="text/css" HREF="/mmliteue/styles/toc.css">
  <LINK REL="stylesheet" TYPE="text/css" HREF="/mmliteue/styles/content.css">
  
  <% @language="jscript" %>

  
  <!--Link scripts  -->
  <script language=javascript src="/mmliteue/scripts/general.js"></script>
  <script type="text/javascript" language=javascript src="/mmliteue/scripts/utilities.js"></script>
  <script type="text/javascript" language="javascript" SRC="/mmliteue/scripts/tooltip.js"></script> 


  <script RUNAT = Server type="text/javascript" language="javascript" SRC="genspec.js"></script> 

  <script language="javascript">

    var docArray = new Array();
    var test_form = false;
    var doc_available = true;
  
    function initDocArray(type, parm)
    {
      this.doctype = type;
      this.parm = parm;
    }
    
    function initialize()
    {


      docArray[0] = new initDocArray(" ", " ");     
      docArray[1] = new initDocArray("all", "all parms");
      docArray[2] = new initDocArray("doc", "doc parm");
      docArray[3] = new initDocArray("source", "source parm");
      
      document.all.xfr.doctype.value = docArray[0].doctype;
      document.all.xfr.parm.value = docArray[0].parm;
      
      document.all.seldoc.options[0].selected = true;
  
    }
    
    function send_form()
    {
      //if (test_form == false)
      //  if (doc_available == true)
          document.xfr.submit();
      //  else
      //    alert("Documentation not available for generation");
    //  else
    alert("testing form");
    }

  
    
    function selectDoc(selection)
    {
      selectedDoc = selection.options[selection.selectedIndex].value;

      for (i = 0; (i < docArray.length) && (docArray[i].doctype != selectedDoc);)
      {
        i+=1;
      }
      
      if (i == docArray.length )
        doc_available = false;
      else
      {
        document.all.xfr.doctype.value = docArray[i].doctype;
        document.all.xfr.parm.value = docArray[i].parm;
        doc_available = true;
      }
      send_form();
    }
  </script>


  
  <%  

    path = Server.mapPath(".");

    fso = new ActiveXObject("Scripting.FileSystemObject");
//    file = fso.OpenTextFile(path + "/doc.xml", 1);
    
    // Stream the file
//    var pgStream = file.ReadAll();
    //file.Close();

//    file = fso.CreateTextFile(path + "/foo");
//    file.WriteLine("test");

    gendocfromweb("spec.xml", path + "/output", fso, path);
  %> 
  
</head>

<body onload="initialize()">

<span><%=pgStream%></span>

<!-- <bgsound src="sounds/yxz.wav" loop="1"> -->
  

  <table id="tblInclude" border=0 cellpadding=0>

    <tr class="incColStyle" nowrap >
      <td id="contentCol" valign="top" width="*">
        <table id="tblInclude" cellspacing=0 border=0>
          <tr>
          <td  nowrap class="colStyle" style="font-size=125%" ><h1>Status Information</h1>
          <p style="font-size=100%">Please, select the documentation to generate.</p></td>
          </tr>
        </table>
        <table id="tblContent" cellspacing=0 border=0>
          <tr>
            <td   nowrap class="colStyle" style="font-weight:bold;
            font-size=90%; color=#3366cc">Select Date:&nbsp</td>
            <td align="left">
              <select  id="seldoc" size="1" onchange="selectDoc(this)" >
                <option value="" selected>Make Selection
                <option value="all" selected>Generate All
                <option value="doc">Only Documentation
                <option value="source">Only Source Documentation
              </select>
            </td>
          </tr>
        </table>
      </td>
    </tr>
  </table>

  <form name="xfr" method="post" action="javascript:gendocfromweb('../Includes/spec.xml', 'output')">   
    <input style="display:''" id= "parm" name="parm" type="text" size="32"  value="">
    <input style="display:''" id= "doctype" name="doctype" type="text" size="32"  value="">
  </form>

<%
//  gendocfromweb("spec.xml", "output");
%>
</body>
</html>
