<!-- Copyright (c) Microsoft Corporation. All rights reserved. -->
<!-- Generate list of files HTML page -jvh 2000 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:mic="x-schema:expanded-schema.xml">
  <xsl:output method="html" indent="yes" omit-xml-declaration="yes"/>

  <xsl:template match="/">
    <HTML>
      <HEAD>
        <META HTTP-EQUIV="Content-Type" Content="text/html; charset=Windows-1252"></META>
        <TITLE>IThread::GetProcess</TITLE>
        <SCRIPT SRC="linkcss.js"></SCRIPT>
        <SCRIPT SRC="langref.js"></SCRIPT>
      </HEAD>
      <BODY TOPMARGIN="0">
        <TABLE CLASS="buttonbarshade" CELLSPACING="0"><TR><TD>
            </TD></TR></TABLE>
        <TABLE CLASS="buttonbartable" CELLSPACING="0"><TR ID="hdr"><TD CLASS="runninghead">MMLite Software Development Kit</TD></TR>
        </TABLE>
        <br></br>
        <font color="ff0000" size="1"><i>This information has not yet been publicly disclosed and is Microsoft Confidential.</i></font>
        <H1>List of Files</H1>
        <DL>
          <xsl:for-each select="/mic:mmlite-spec/mic:file">
            <LI>
              <A><xsl:attribute name="HREF"><xsl:value-of select="@name" />.htm</xsl:attribute><xsl:value-of select="@name"/></A>
            </LI>
          </xsl:for-each>
        </DL>
      </BODY>
    </HTML>
  </xsl:template>
</xsl:stylesheet>
