<?xml version='1.0'?>
<!-- Copyright (c) Microsoft Corporation. All rights reserved. -->
<!-- Generate makefile for packaging components together -jvh 2004 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:mic="x-schema:expanded-schema.xml">
  <xsl:output method="text"/>

  <xsl:template match="/" xml:space="preserve"># Copyright (c) Microsoft Corporation. All rights reserved.

SUBDIR= conf
!include $(MMLITE_SDK)\conf\make\first.mk

TARGETS= $(TARGETS)\<xsl:for-each select="//mic:concrete-class[mic:implements-method/@virtual = 'false']">
<xsl:if test="mic:ifdef">!if <xsl:value-of select="mic:ifdef"/>
</xsl:if>    $(LIBRARY_DIR)\<xsl:value-of select='@name'/>.lib \<xsl:if test="mic:ifdef">
!endif</xsl:if></xsl:for-each>

!include $(MMLITE_SDK)/conf/common.mk
<xsl:for-each select="//mic:concrete-class[mic:implements-method/@virtual = 'false']">
$(LIBRARY_DIR)\<xsl:value-of select="@name"/>.lib: \
    $(@B).$(O) \
<xsl:for-each select="mic:implements-method[@virtual = 'false']">    s_<xsl:value-of select="@name"/>_i.$(O) \
</xsl:for-each>
</xsl:for-each>

</xsl:template>
</xsl:stylesheet>
