/* Copyright (c) Microsoft Corporation. All rights reserved. */

#include <mmlite.h>

/* Compare two UUIDs. Returns TRUE if they are the same, FALSE otherwise.
 */
BOOL UuidCmp(REFIID Uuid1, REFIID Uuid2)
{
    if (Uuid1 == Uuid2)
        return TRUE;
    if (((PUINT) Uuid1)[0] == ((PUINT) Uuid2)[0])
        if (((PUINT) Uuid1)[1] == ((PUINT) Uuid2)[1])
#if _UINTSIZE == 32
            if (((PUINT) Uuid1)[2] == ((PUINT) Uuid2)[2])
                if (((PUINT) Uuid1)[3] == ((PUINT) Uuid2)[3])
#endif
                    return TRUE;
    return FALSE;
}

