/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>
#include <stdlib.h>
#include <tchar.h>

/* Like atoi but works with strings that are not NUL-terminated */

int __cdecl _ttoin(const _TCHAR *String, UINT Length)
{
    UINT Value = 0, Digit;
    _TCHAR c;

    for (; (c = *String++) != _EOS && Length > 0; Length--) {

        if (c >= '0' && c <= '9')
            Digit = (UINT) (c - '0');
        else
            break;

        Value = (Value * 10) + Digit;
    }

    return Value;
}
