/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>

PIHEAP CreateHeap(UINT Flags, UINT InitialSize, UINT MaxSize)
{
    PIHEAP NewHeap, Current = CurrentHeap();
    PTR Mem = Current->v->Alloc(Current, Flags, MaxSize, 0);
    if (!Mem)
        return NULL;

    NewHeap = CreateHeapFrom((ADDRESS) Mem, Flags, InitialSize, MaxSize);
    if (!NewHeap)
        Current->v->Free(Current, Flags, Mem);

    return NewHeap;
}

