/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <stdarg.h>
#include <stdio.h>
#include <tchar.h>

_TCHAR * __cdecl _fgetts(_TCHAR * s, int n, FILE *stream)
{
    _TCHAR c;
    _TCHAR * p = s;

    while (n > 1) {
        if (1 == fread( &c, sizeof(_TCHAR), 1, stream )) {
            *p++ = c;
            n--;
            if (c == _TEXT('\n'))
                break;
            continue;
        }

        /* error handling */
        if (feof(stream) && (p != s))
            break;

        return NULL;
    }

    if (n > 0)
        *p = (_TCHAR) 0;

    return s;
}
