/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <stdio.h>
#include <tchar.h>

_TCHAR * __cdecl _getts(_TCHAR * s)
{
    _TCHAR c;
    _TCHAR * p = s;

    for (;;) {
        if (1 == fread( &c, sizeof(_TCHAR), 1, stdin )) {
            /* On newline, break and discard */
            if (c == _TEXT('\n'))
                break;
            *p++ = c;
            continue;
        }

        /* error handling */
        if (feof(stdin) && (p != s))
            break;

        return NULL;
    }

    *p = (_TCHAR) 0;

    return s;
}

