/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <stdlib.h>
#include <string.h>
#include <tchar.h>
#include <wchar.h>

/* Convert an Ascii (BUGBUG) string to a Unicode string.
 */
size_t __cdecl mbstowcs(wchar_t *wcstr, const char *mbstr, size_t count)
{
    size_t i;

    /* If wcstr is null, return the required size of the destination string
     * in characters (not bytes).  Since we only support Ascii, there is
     * nothing complicated to do here.
     */
    if (wcstr == NULL)
        return strlen(mbstr);

    for (i = 0; i < count; i++, wcstr++, mbstr++) {
        *wcstr = *mbstr;
        if (*wcstr == _TEXT('\0')) {
            break;
        }
    }
    return i;
}
