/* Copyright (c) Microsoft Corporation. All rights reserved. */
/*
 * Enter the debugger, if any. Or crash&burn.
 */
	#include <arm_asm.h>

	_CODE(C$$code)

        _EXPORT(DebugBreak)

_FUNCTION(DebugBreak)
#if defined(ADS)
    /* Gets confused to see a DCD at the start of the file,
     * and marks the first instruction as data instead of text.
     * This useless NOP cures it. Umbug.
     */
    nop
#endif
    /*
     * Its customary to use the undefined instruction to trigger the debugger
     */
#if 1
    /* But there are many of them. This one is used by gdb */
    _DCD 0xfedefede
#else
    _DCD 0xe7ffdefe
#endif
    mov  pc,lr

       _END
