/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>

PIBASERTL _pTheBaseRtl;
struct IBaseRtlVtbl *_pTheBaseRtlVtbl;

EXTERN_C INT MODENTRY CrtInit(INT Op);

PIUNKNOWN MODENTRY _CobMainCRT(PIBASERTL pRtl)
{
    PIUNKNOWN ret;
    /* Enable RTL function calling */
    _pTheBaseRtl = pRtl;
    _pTheBaseRtlVtbl = (PTR) pRtl->v;

    if (CrtInit(DLL_PROCESS_ATTACH) != TRUE)
        return NULL;

    ret = CobMain();
    if (!ret)
        CrtInit(DLL_PROCESS_DETACH);
    return ret;
}

INT MODENTRY CrtInit(INT Op)
{
    if (Op == DLL_PROCESS_DETACH)
        __closestdfile();
    return TRUE;
}
