/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <ppc_asm.h>

        _CODE(text)

/* Some contortions to make sure linker will keep these
 * in consecutive code locations. We'll jump in the middle of it.
 */
ENTRY( __savegpr64 )

       _EXPORT( __savegpr64_14)
       _EXPORT( __savegpr64_15)
       _EXPORT( __savegpr64_16)
       _EXPORT( __savegpr64_17)
       _EXPORT( __savegpr64_18)
       _EXPORT( __savegpr64_19)
       _EXPORT( __savegpr64_20)
       _EXPORT( __savegpr64_21)
       _EXPORT( __savegpr64_22)
       _EXPORT( __savegpr64_23)
       _EXPORT( __savegpr64_24)
       _EXPORT( __savegpr64_25)
       _EXPORT( __savegpr64_26)
       _EXPORT( __savegpr64_27)
       _EXPORT( __savegpr64_28)
       _EXPORT( __savegpr64_29)
       _EXPORT( __savegpr64_30)
       _EXPORT( __savegpr64_31)

_FUNCTION( __savegpr64_14)
       std          r14,-144(r1)
_FUNCTION( __savegpr64_15)
       std          r15,-136(r1)
_FUNCTION( __savegpr64_16)
       std          r16,-128(r1)
_FUNCTION( __savegpr64_17)
       std          r17,-120(r1)
_FUNCTION( __savegpr64_18)
       std          r18,-112(r1)
_FUNCTION( __savegpr64_19)
       std          r19,-104(r1)
_FUNCTION( __savegpr64_20)
       std          r20,-96(r1)
_FUNCTION( __savegpr64_21)
       std          r21,-88(r1)
_FUNCTION( __savegpr64_22)
       std          r22,-80(r1)
_FUNCTION( __savegpr64_23)
       std          r23,-72(r1)
_FUNCTION( __savegpr64_24)
       std          r24,-64(r1)
_FUNCTION( __savegpr64_25)
       std          r25,-56(r1)
_FUNCTION( __savegpr64_26)
       std          r26,-48(r1)
_FUNCTION( __savegpr64_27)
       std          r27,-40(r1)
_FUNCTION( __savegpr64_28)
       std          r28,-32(r1)
_FUNCTION( __savegpr64_29)
       std          r29,-24(r1)
_FUNCTION( __savegpr64_30)
       std          r30,-16(r1)
_FUNCTION( __savegpr64_31)
       std          r31,-8(r1)
       blr
END( __savegpr64 )

/* Some contortions to make sure linker will keep these
 * in consecutive code locations. We'll jump in the middle of it.
 */
ENTRY( __restgpr64 )

       _EXPORT( __restgpr64_14)
       _EXPORT( __restgpr64_15)
       _EXPORT( __restgpr64_16)
       _EXPORT( __restgpr64_17)
       _EXPORT( __restgpr64_18)
       _EXPORT( __restgpr64_19)
       _EXPORT( __restgpr64_20)
       _EXPORT( __restgpr64_21)
       _EXPORT( __restgpr64_22)
       _EXPORT( __restgpr64_23)
       _EXPORT( __restgpr64_24)
       _EXPORT( __restgpr64_25)
       _EXPORT( __restgpr64_26)
       _EXPORT( __restgpr64_27)
       _EXPORT( __restgpr64_28)
       _EXPORT( __restgpr64_29)
       _EXPORT( __restgpr64_30)
       _EXPORT( __restgpr64_31)

_FUNCTION( __restgpr64_14)
       ld           r14,-144(r1)
_FUNCTION( __restgpr64_15)
       ld           r15,-136(r1)
_FUNCTION( __restgpr64_16)
       ld           r16,-128(r1)
_FUNCTION( __restgpr64_17)
       ld           r17,-120(r1)
_FUNCTION( __restgpr64_18)
       ld           r18,-112(r1)
_FUNCTION( __restgpr64_19)
       ld           r19,-104(r1)
_FUNCTION( __restgpr64_20)
       ld           r20,-96(r1)
_FUNCTION( __restgpr64_21)
       ld           r21,-88(r1)
_FUNCTION( __restgpr64_22)
       ld           r22,-80(r1)
_FUNCTION( __restgpr64_23)
       ld           r23,-72(r1)
_FUNCTION( __restgpr64_24)
       ld           r24,-64(r1)
_FUNCTION( __restgpr64_25)
       ld           r25,-56(r1)
_FUNCTION( __restgpr64_26)
       ld           r26,-48(r1)
_FUNCTION( __restgpr64_27)
       ld           r27,-40(r1)
_FUNCTION( __restgpr64_28)
       ld           r28,-32(r1)
_FUNCTION( __restgpr64_29)
       ld           r29,-24(r1)
_FUNCTION( __restgpr64_30)
       ld           r30,-16(r1)
_FUNCTION( __restgpr64_31)
       ld           r31,-8(r1)
       blr
END( __restgpr64 )

/* Some contortions to make sure linker will keep these
 * in consecutive code locations. We'll jump in the middle of it.
 */
ENTRY( __savegprlr )

       _EXPORT( __savegprlr_14)
       _EXPORT( __savegprlr_15)
       _EXPORT( __savegprlr_16)
       _EXPORT( __savegprlr_17)
       _EXPORT( __savegprlr_18)
       _EXPORT( __savegprlr_19)
       _EXPORT( __savegprlr_20)
       _EXPORT( __savegprlr_21)
       _EXPORT( __savegprlr_22)
       _EXPORT( __savegprlr_23)
       _EXPORT( __savegprlr_24)
       _EXPORT( __savegprlr_25)
       _EXPORT( __savegprlr_26)
       _EXPORT( __savegprlr_27)
       _EXPORT( __savegprlr_28)
       _EXPORT( __savegprlr_29)
       _EXPORT( __savegprlr_30)
       _EXPORT( __savegprlr_31)

_FUNCTION( __savegprlr_14)
       std          r14,-152(r1)
_FUNCTION( __savegprlr_15)
       std          r15,-144(r1)
_FUNCTION( __savegprlr_16)
       std          r16,-136(r1)
_FUNCTION( __savegprlr_17)
       std          r17,-128(r1)
_FUNCTION( __savegprlr_18)
       std          r18,-120(r1)
_FUNCTION( __savegprlr_19)
       std          r19,-112(r1)
_FUNCTION( __savegprlr_20)
       std          r20,-104(r1)
_FUNCTION( __savegprlr_21)
       std          r21,-96(r1)
_FUNCTION( __savegprlr_22)
       std          r22,-88(r1)
_FUNCTION( __savegprlr_23)
       std          r23,-80(r1)
_FUNCTION( __savegprlr_24)
       std          r24,-72(r1)
_FUNCTION( __savegprlr_25)
       std          r25,-64(r1)
_FUNCTION( __savegprlr_26)
       std          r26,-56(r1)
_FUNCTION( __savegprlr_27)
       std          r27,-48(r1)
_FUNCTION( __savegprlr_28)
       std          r28,-40(r1)
_FUNCTION( __savegprlr_29)
       std          r29,-32(r1)
_FUNCTION( __savegprlr_30)
       std          r30,-24(r1)
_FUNCTION( __savegprlr_31)
       std          r31,-16(r1)
       stw          r12,-8(r1)
       blr
END( __savegprlr )

/* Some contortions to make sure linker will keep these
 * in consecutive code locations. We'll jump in the middle of it.
 */
ENTRY( __restgprlr )

       _EXPORT( __restgprlr_14)
       _EXPORT( __restgprlr_15)
       _EXPORT( __restgprlr_16)
       _EXPORT( __restgprlr_17)
       _EXPORT( __restgprlr_18)
       _EXPORT( __restgprlr_19)
       _EXPORT( __restgprlr_20)
       _EXPORT( __restgprlr_21)
       _EXPORT( __restgprlr_22)
       _EXPORT( __restgprlr_23)
       _EXPORT( __restgprlr_24)
       _EXPORT( __restgprlr_25)
       _EXPORT( __restgprlr_26)
       _EXPORT( __restgprlr_27)
       _EXPORT( __restgprlr_28)
       _EXPORT( __restgprlr_29)
       _EXPORT( __restgprlr_30)
       _EXPORT( __restgprlr_31)

_FUNCTION( __restgprlr_14)
       ld           r14,-152(r1)
_FUNCTION( __restgprlr_15)
       ld           r15,-144(r1)
_FUNCTION( __restgprlr_16)
       ld           r16,-136(r1)
_FUNCTION( __restgprlr_17)
       ld           r17,-128(r1)
_FUNCTION( __restgprlr_18)
       ld           r18,-120(r1)
_FUNCTION( __restgprlr_19)
       ld           r19,-112(r1)
_FUNCTION( __restgprlr_20)
       ld           r20,-104(r1)
_FUNCTION( __restgprlr_21)
       ld           r21,-96(r1)
_FUNCTION( __restgprlr_22)
       ld           r22,-88(r1)
_FUNCTION( __restgprlr_23)
       ld           r23,-80(r1)
_FUNCTION( __restgprlr_24)
       ld           r24,-72(r1)
_FUNCTION( __restgprlr_25)
       ld           r25,-64(r1)
_FUNCTION( __restgprlr_26)
       ld           r26,-56(r1)
_FUNCTION( __restgprlr_27)
       ld           r27,-48(r1)
_FUNCTION( __restgprlr_28)
       ld           r28,-40(r1)
_FUNCTION( __restgprlr_29)
       ld           r29,-32(r1)
_FUNCTION( __restgprlr_30)
       ld           r30,-24(r1)
_FUNCTION( __restgprlr_31)
       ld           r31,-16(r1)
       lwz          r12,-8(r1)
       mtlr         r12
       blr
END( __restgprlr )

	    _ENDCODE
        _END
