/* Copyright (c) Microsoft Corporation All rights reserved */

#include <mmlite.h>
#include <assert.h>

/*
* Set return value. This is useful if you are calling an executable from another 
* process and want to see what it returned. 
*/
int SetAndReturn(int nRet)
{
    PIPROCESS pProcess = CurrentProcess();

    pProcess->v->SetValue(pProcess, PROCESS_VALUE_EXIT_CODE, nRet);
    return nRet;
}
