/* Copyright (c) Microsoft Corporation. All rights reserved. */

#include <string.h>
#include <tchar.h>


#if defined(_MSC_VER) && !defined(_UNICODE)
#pragma function(strlen)
#endif

#if defined(_MSC_VER) && (_MSC_VER != 1400 || !defined(ppc)) && (_MSC_VER != 1310) && (_MSC_VER != 1200) && defined(_UNICODE)
#pragma function(wcslen)
#endif

/* Calculate the length of the string pointed by pStr (excluding the
 * terminating '\0')
 */
size_t _tcslen(const _TCHAR *pStr)
{
    const _TCHAR *pEnd;

    for (pEnd = pStr; *pEnd != _TEXT('\0'); pEnd++)
        continue;

    return pEnd - pStr;
}
