/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <string.h>

/* Append at most Count chars of Str2 to Str1.
 */
char * strncat(char * pStr1, const char *pStr2, size_t Count)
{
    char * r = pStr1;
    char c;

    while (*pStr1 != '\0')
        pStr1++;

    while ((Count-- > 0) && ((c = *pStr2++) != '\0'))
        *pStr1++ = c;
    *pStr1++ = '\0';

    return r;
}
