/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <string.h>
#include <tchar.h>

/* String searching functions as per ISO/IEC 9899 section 7.11.5 */

/* 7.11.5.4. Search for member of set in s and return pointer to first match */
_TCHAR *  __cdecl _tcspbrk(const _TCHAR *s, const _TCHAR *set)
{
    const _TCHAR *x;
    for (; *s; s++)
        for (x = set; *x; x++)
            if (*s == *x)
                return (_TCHAR *) s;
    return NULL;
}
