/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <string.h>

/* String searching functions as per ISO/IEC 9899 section 7.11.5 */

/* 7.11.5.5. Search for last c in s */
char *  __cdecl strrchr(const char *s, int c)
{
    const char *result = NULL;

    if (c == '\0')
        return strchr(s, c);

    for (;;) {
        s = (const char *) strchr(s, c);
        if (s == NULL)
            return (char *) result;
        result = s;
        s++;
    }
}
