/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <stdio.h>
#include <tchar.h>
#include "_stdio.h"

/* Oops, put it back.
 * Returns argument C, or EOF.
 */
INT __cdecl _ungettc( INT c, FILE *stream)
{
    if (stream->_base == NULL
        || stream->_base == stream->_ptr
#ifdef _UNICODE
        /* Make sure there is room for enough bytes */
        || stream->_base + sizeof(_TCHAR) > stream->_ptr
#endif
        )
        return EOF;

    stream->_ptr -= sizeof(_TCHAR);
    *(_TCHAR*) stream->_ptr = (_TCHAR) c;

    return c;
}

