/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <stdio.h>
#include <tchar.h>
#include <mmlite.h>

void __cdecl PrintBuf(void* Where, _TCHAR * String);

/* returns < 0 iff error */
INT __cdecl vprintf(const char *format,
                            va_list arg)
{
#if defined(_UNICODE)
    STRFORMAT_ESCAPE Format;

    Format.flag = UNICODE_NOT_A_CHARACTER;
    Format.ptr  = (BYTE *) format;
    format = (const char *) &Format;
#endif

    StrFormat(PrintBuf,stdout,(_TCHAR *)format,arg);

    /* xxx error check */
    return 0;
}
