/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>
#include <stdio.h>

void MorseString(const char *Str);
void DumpGpio(void);

int _tmain(void)
{
    const _TCHAR *cmd;

    cmd = ProcessArgs();
    _tprintf (_T("ARGS=<%s>)\n"), cmd);
    if (*cmd != '\0')
#ifdef _UNICODE
        printf("Unicode conversion required XXX\n");
#else
        MorseString(cmd);
#endif
    DumpGpio();
    return 0;
}
