/* Copyright (c) Microsoft Corporation. All rights reserved. */

#include <mmlite.h>

PTR pDelayedFree = NULL;
PTR *ppDelayedFree = &pDelayedFree;

PTR *CheckDelayedFree(void)
{
    PTR pMem;
    PIHEAP pHeap = CurrentHeap();

    while ((pMem = AtomicLIFORemove( &pDelayedFree )) != NULL)
        pHeap->v->Free(pHeap, 0, pMem);
    return &pDelayedFree;
}

void CurrentHeapDelayedFree( PTR pMem)
{
    AtomicLIFOInsert( &pDelayedFree, pMem);
}
