/* Copyright (c) Microsoft Corporation. All rights reserved. */

typedef UINT32 DISK_ADDRESS;

#define F_MODIFY        0x00000080
#define F_NOCACHE       0x00000100
#define F_HIDDEN        0x00000200
#define F_READONLY      0x00000400
#define F_DIRECTORY     0x00000800
#define F_ORDERED       0x00001000
#define F_OWNED         0x00002000
#define F_SAVE          0x00080000
#define F_FLAGMASK      0x000f3fff

/* Constructor(s)
 */
PINAMESPACE RTLCALLTYPE InitFatFileSystem(/*optional */_TCHAR *DeviceName);
PINAMESPACE RTLCALLTYPE UserFatFsNew(PIFILE Device);

/* Fluff
 */
#ifdef _MSC_VER
#pragma warning(disable: 4100)
#pragma warning(disable: 4101)
#pragma warning(disable: 4127)
#endif

#define SetLastErr(x)  CurrentThread()->v->SetValue(CurrentThread(), THREAD_VALUE_LAST_ERROR, x)
#define GetLastErr()   CurrentThread()->v->GetValue(CurrentThread(), THREAD_VALUE_LAST_ERROR)

#include <assert.h>
#include <diagnostics.h>
#define DBGFS       DBGLVL
#define DBGNAME     DBGLVL
#define DBGOUT(x,y,z)  DBGME(y,z)

#define MAPCODEPTR(p)      ((PTR) ((UINT) (p)))

