/* Copyright (c) Microsoft Corporation. All rights reserved. */
typedef struct _LISTNODE LISTNODE,*PLISTNODE;

struct _LISTNODE {
    PLISTNODE pPrev;  /* Before this node                         */
    PLISTNODE pNext;  /* After this node                          */
    /* Subclasses have more data here                             */
};
PLISTNODE ListInsert(PLISTNODE pNode, PLISTNODE pNew);
PLISTNODE ListRemove(PLISTNODE pNode);
#define ListInitialize(_l_) (void) ListInsert( NULL, &(_l_))

