/* Copyright (c) Microsoft Corporation. All rights reserved. */

#include <stdio.h>
#include <dbres.h>

/*** Concrete types ***/
typedef struct _CimSampleFactory {
    struct _DefCob super;
} CimSampleFactory;

#define CimSampleFactoryDestroy NULL

/*** Generated v-tables ***/
#include <s_CimSampleFactory_v.c>

PRIVATE SCODE CimSampleFactoryMain (
    PIPROGRAM iThis,
    const _TCHAR * cmdline)
{
    METHOD_DECLARE(CimSampleFactory, Main);

    printf("Hello cim sample\n");

    sc = S_OK;
METHOD_CLEANUP;
    return sc;
}
