/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <dbres.h>

PRIVATE SCODE TestResourceGet(const PropertyClass *Class, PTR Value, CurrentRequest *currentRequest)
{
    struct CIM_NumericSensor *sen = Value;
    sen->CurrentReading = 42;
    return S_OK;
}

extern const PropertyClass CIM_NumericSensor_Prop;

const PropertyClass Test_Prop = {
    _T("Test"), _T("Test"),
    sizeof(struct CIM_NumericSensor),
    NULL, NULL,
    &CIM_NumericSensor_Prop,
    TestResourceGet, NULL, NULL, NULL, NULL, NULL,NULL
};
