/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <string.h>
#include <ctype.h>
#include <mmlite.h>
#include <crypto.h>
#include <mmmacros.h>
#include <base/cobdesc.h>
#include <util/list-double2.h>
#include <wsif.h>
#include <sampleif.h>
#include <testservice.h>


typedef struct _testserviceImpl {
	struct _DefCob super;
//    UINT Position;
} testserviceImpl, testservice, *Ptestservice;


#define testserviceImplDestroy NULL
#define _MANUAL_COBMAIN

#include <s_testserviceImpl_v.c>

PRIVATE SCODE MCT test_print(
							  /*in*/ PITEST iThis,
							  /*in*/ INT number)
{
	_tprintf(_T("Received Request[print]: %d\r\n"), number);
    
	return S_OK;
}

PRIVATE SCODE MCT test_echo(
							  /*in*/ PITEST iThis,
							  /*in*/ UINT number,
                              /*out*/ UINT *retval)
{
	_tprintf(_T("Received Request[echo]: %d\r\n"), number);
    *retval = number;
	return S_OK;
}

PRIVATE SCODE MCT test_Simple1(
							  /*in*/ PITEST iThis,
							  /*in*/ INT arg1)
{
    //_tprintf(_T("Received Request[Simple1]: %d\r\n"), arg1);
	return S_OK;
}

PRIVATE SCODE MCT test_Simple2(
							  /*in*/ PITEST iThis,
							  /*in*/ INT arg1,
                              /*in*/ INT arg2)
{
	return S_OK;
}

PRIVATE SCODE MCT test_Simple3(
							  /*in*/ PITEST iThis,
							  /*in*/ INT arg1,
                              /*in*/ INT arg2,
                              /*in*/ INT arg3)
{
	return S_OK;
}

PRIVATE SCODE MCT test_Simple4(
							  /*in*/ PITEST iThis,
							  /*in*/ INT arg1,
                              /*in*/ INT arg2,
                              /*in*/ INT arg3,
                              /*in*/ INT arg4)
{
	return S_OK;
}

PIUNKNOWN testserviceCobMain(void)
{
    Ptestservice pTest;
    PIHEAP pHeap = CurrentHeap();
    
    /* Memory allocation */
    
    pTest = (Ptestservice) pHeap->v->
        Alloc(pHeap,
              HEAP_DEBUG_NAME("Test") | HEAP_ZERO_MEMORY,
              sizeof(testservice), 0);
    if (!pTest) return NULL;

    //_tprintf(_T("testserviceCobMain()\n"));
	//_tprintf(_T("testing...testing..."));
    return GenericCobInit((void*) &testservice_CobDesc, &pTest->super);
}

