/* Copyright (c) Microsoft Corporation. All rights reserved. */

#ifndef __SAMPLING__
#define __SAMPLING__

typedef struct SAMPLING Sampling, *PSAMPLING;

struct SAMPLING {
    struct ISamplingVtbl const *v;
    /* Cached SOAP proxy */
    PISTATISTICS Proxy;
    /* The URL of the cached proxy, if NULL != Proxy.
     * Inv: Sampling->ProxyUrl == (_TCHAR *) (Sampling + 1)
     */
    _TCHAR *ProxyUrl;
    /* Housekeeping */
    MUTEX Mx;
    UINT Refs;
};

#define PROXY_URL_MAXLEN 256
#define PROXY_URL_BUFSZ PROXY_URL_MAXLEN*sizeof(_TCHAR)

#define pSampling(_x_) ((PSAMPLING)_x_)

#endif /* __SAMPLING__*/
