/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>
#include <stdio.h>
#include <tchar.h>

#define SLEEP_TIME 30

/* Test of system timer (gross!) accuracy */
int _tmain(int argc, _TCHAR **argv)
{
    TIME tTimeWait;
    TIME tSleep,tWake;
    INT32 tw;
    
    UnusedParameter(argc);
    UnusedParameter(argv);

    _tprintf(_TEXT("About to sleep for %d seconds, check your watch now!\n"),
             SLEEP_TIME);
    Int32ToInt64(tTimeWait,TIME_RELATIVE(TIME_SECONDS(SLEEP_TIME)));

    tSleep = CurrentTime();
    SleepUntil(tTimeWait);
    tWake = CurrentTime();

    _tprintf(_TEXT("Done!\n"));

    tTimeWait = TimeSubtract(tWake,tSleep);
    tw = Int64ToInt32(tTimeWait);

    _tprintf(_TEXT("What I thought: SleepTime: %d us   ActualTime: %d us\n"),
         SLEEP_TIME * 1000000,
         tw/10);

    return(0);
}
