/* Copyright (c) Microsoft Corporation. All rights reserved. */

#include <mips_asm.h>

.set noreorder
.set nomacro
.set noat
.set volatile

/*
 * void TuneDelayLoop(INT32 LoopCount)
 *
 * Spins as fast as possible for the given number of times.
 * If argument negative same as zero (or one, no matter).
 */
ENTRY(TuneDelayLoop)
    bgtz    $a0,TuneDelayLoop
    addi    $a0,$a0,-1

    j       $ra
    nop

END(TuneDelayLoop)
