/* Copyright (c) Microsoft Corporation. All rights reserved. */

#include <ppc_asm.h>

        _CODE(text)

/*
 * void TuneDelayLoop(INT32 LoopCount)
 *
 * Spins as fast as possible for the given number of times.
 * If argument negative same as zero (or one, no matter).
 */
ENTRY(TuneDelayLoop)
	    mr.     r4,r3
        mtctr   r3
	    blelr
        /* Simulator wont allow self-branches */
lp:     
        bdzlr
        b       lp
END(TuneDelayLoop)
	    _ENDCODE
        _END
