/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>
#include <stdio.h>
#include <stdlib.h>
#include <tchar.h>
#include <arm\at91m55800.h>

/* Simple test for the M55800A processor's watchdog-reset.
 */
int _tmain (int argc, _TCHAR **argv)
{
    /* Say what we'll do
     */
    _tprintf(_T("Resetting the board using the watchdog's NWDOVF pin...\r\n"));

    /* And do it.
     */
    TheWd->OvflMode = WDOM_ENABLE_KEY | WDOM_RSTEN | WDOM_WDEN;

    /* Just spin till we die
     * The reset will take care of clearing up the WD registers.
     */
    Delay(10000);

    /* Uhmmm..
     */
    _tprintf(_T("Still here ?!?!?  Something rotten!\r\n"));

    return 1;
}





