/* Copyright (c) Microsoft Corporation. All rights reserved. */

#include <mmlite.h>
#include <stdio.h>
#include <stdlib.h>
#include <tchar.h>

/* Check parsing of command line arguments
 */
int _tmain(INT argc, _TCHAR **argv)
{
    SCODE sc;
    void *p;
    UINT Size;

    sc = ParseCmdLine(&argc, &argv);
    if (FAILED(sc)) {
    Nope:
        _tprintf(_TEXT("No command line args (%x), test FAILED\n\r"), sc);
        exit(EXIT_FAILURE);
    }

    if (argc < 2) {
        goto Nope;
    }

    Size = _ttoi(argv[1]);
    p = malloc(Size);
    _tprintf(_TEXT("Leaking %d bytes @x%x\r\n"), Size, (ADDRESS)p);

    (void) FreeCmdLine(&argc,&argv);

    exit(EXIT_SUCCESS);
    return 0;
}
