/*
* Copyright (c) Microsoft Corporation All Rights Reserved. 
* Very basic test. 
*/
#include <mmlite.h>
#include <stdio.h>
#include <tchar.h>
#include <stdlib.h>
#include <stddef.h>
#include <util/list-double2.h>
#include <wsif.h>
#include <soapif.h>
#include <sampleif.h>
//#include "..\utilities\utility.h"

int _tmain(int argc, _TCHAR ** argv)
{
	METHOD_DECLARE_NOTHIS("_tmain");
	//PISAMPLETEST test = NULL;
    PICLRSAMPLE test = NULL;
	PISOAPFACTORY soapfactory = NULL;
    PIHEAP pHeap = CurrentHeap();

    //unsigned int ret;
/*
    _TCHAR* strarr[5] = {"SAMPLE 1", "SAMPLE 2", "SAMPLE 3", "SAMPLE 4", "SAMPLE 5!!!" };
*/    
/*
    SampleStruct s[5] = { { 1, _T("SAMPLE 1") },
                          { 2, _T("SAMPLE 2") },
                          { 3, _T("SAMPLE 3") },
                          { 4, _T("SAMPLE 4") },
                          { 5, _T("SAMPLE 5") } 
                        };
*/
/*
    unsigned int testarray[5] = {100, 200, 300, 400, 500 };

    PSampleStruct s = NULL;
    _TCHAR *str = _T("SAMPLE STRUCT STRING");
    int sz;
*/
    unsigned int retval = 0;
/*
    unsigned int s1, s2;
    unsigned int *p1;
    unsigned int *p2;
*/
    //_TCHAR retstr[100];

	sc = BindToObject(CurrentNameSpace(), _T("COB/soap.cob"), NAME_SPACE_READ,
						&IID_ISoapFactory, (void **) &soapfactory);
	CHECKSC("get soap factory");
/*
	sc = soapfactory->v->CreateProxy(soapfactory, NULL, _T("http://127.0.0.1/CLR/webtest.clr/SampleTest"), 
									_T("isampletest"), 0, (PIUNKNOWN*) &test);
	CHECKSC("CreateProxy isampletest");
*/
	sc = soapfactory->v->CreateProxy(soapfactory, NULL, _T("http://127.0.0.1/CLR/clrsampleserver.clr/CLRSampleServer"), 
									_T("ICLRSample"), 0, (PIUNKNOWN*) &test);
	CHECKSC("CreateProxy isampletest");


/*
    sc = test->v->echostring(test, "TEST STRING", &retstr);
    CHECKSC("called");
    _tprintf(_T("#### ECHOSTRING RETURN VALUE: %s ####\r\n"), retstr);
*/    
/*
    ret = test->v->echo2(test, 11234);
    _tprintf(_T("#### ECHO RETURN VALUE: %d ####\r\n"), ret);
*/
/*
    // printstringarray() --> works
    sc = test->v->printstringarray(test, strarr);
    CHECKSC("called");  
*/
/*
    // printcomplexarray1() works with manual change of the argument descriptor in s_ISampleTest_m.c
    sc = test->v->printcomplexarray1(test, &(s[0]));
    CHECKSC("called");  
*/
/*
    // printarray() --> works
    sc = test->v->printarray(test, testarray);
    CHECKSC("called");  
*/
/*
    // printstruct() --> works
    sz = sizeof(s) + sizeof(_TCHAR) * (_tcslen(str) + 1);
    s = (PSampleStruct) pHeap->v->Alloc(pHeap, 
            HEAP_DEBUG_NAME("clrtest") | HEAP_ZERO_MEMORY, sz, 0);
    if (!s) goto Out;
    s->str = (_TCHAR *) (s + 1);
    _tcscpy(s->str, str);
    s->number = 67;

    sc = test->v->printstruct(test, s);
    CHECKSC("called");  
*/
/*
    // printstring() --> works
    sc = test->v->printstring(test, "TEST STRING");
    CHECKSC("called");  
*/
/*
    // print() --> works
    sc = test->v->print(test, 11234);
    CHECKSC("called");
*/

    // echo() --> works
    sc = test->v->echo(test, 1111, &retval);
	CHECKSC("called");
    _tprintf(_T("#### ECHO RETURN VALUE: %d ####\r\n"), retval);


/*
    // swap() --> works!
    s1 = 56;
    s2 = 100;

    _tprintf(_T("#### SWAP ORIGINAL VALUE: s1:%d, s2:%d ####\r\n"), s1, s2);
    sc = test->v->swap(test, &s1, &s2);
    CHECKSC("called");
    _tprintf(_T("#### SWAP RETURN VALUE: s1:%d, s2:%d ####\r\n"), s1, s2);

    
    p1 = &s1;
    p2 = &s2;
    _tprintf(_T("#### SWAP ORIGINAL VALUE: p1:%d, p2:%d ####\r\n"), *p1, *p2);
    sc = test->v->swap(test, p1, p2);
    CHECKSC("called");
    _tprintf(_T("#### SWAP RETURN VALUE: p1:%d, p2:%d ####\r\n"), *p1, *p2);
*/

METHOD_CLEANUP;
	RELEASE(test);
	RELEASE(soapfactory);
	return 0; 
}