/*
CORN - Your basic COB. Used to test loading / image binding functions. Need also corn_i.c, corn.h
*/
#ifndef _CORN_H_
#define _CORN_H_

typedef struct ICORN
{
    struct _ICornVtbl * v; 
}ICORN, *PICORN, ICorn; 

typedef struct _ICornVtbl
{
    __VTABLE_COMPATIBILITY_FILLER_DECLARATION

    SCODE(*QueryInterface)(PICORN, REFIID, void **); 
    UINT(*AddRef)(PICORN); 
    UINT(*Release)(PICORN);
    UINT (*AddKernels)(PICORN, UINT);
    UINT (*EatKernels)(PICORN, UINT);
    void (*PrintParms)(PICORN);
} ICornVtbl;



#endif
