/* Prints information about the REV2 scheduler.
 * Copyright (c) Microsoft Corporation. All rights reserved.
 */

#include <mmlite.h>
#include <util/list-single.h>
#include <util/list-double.h>
#include <base/urgency2.h>
#include <base/tconstraint2.h>
#include <base/kconstraint2.h>
#include <base/thread2.h>

#include <stdio.h>

int _tmain(void) {

  printf("REV2 Scheduler Info\n");
    
  printf("sizeof(NODE): %d bytes, %d words\n",
	 (int)sizeof(NODE), (int)(sizeof(NODE)/sizeof(UINT)));

  printf("sizeof(LIST): %d bytes, %d words\n",
	 (int)sizeof(LIST), (int)(sizeof(LIST)/sizeof(UINT)));

  printf("sizeof(DNODE): %d bytes, %d words\n",
	 (int)sizeof(DNODE), (int)(sizeof(DNODE)/sizeof(UINT)));

  printf("sizeof(DLIST): %d bytes, %d words\n",
	 (int)sizeof(DLIST), (int)(sizeof(DLIST)/sizeof(UINT)));

  printf("sizeof(URGENCY): %d bytes, %d words\n",
	 (int)sizeof(URGENCY), (int)(sizeof(URGENCY)/sizeof(UINT)));

  printf("sizeof(TIME_CONSTRAINT): %d bytes, %d words\n",
	 (int)sizeof(TIME_CONSTRAINT),
	 (int)(sizeof(TIME_CONSTRAINT)/sizeof(UINT)));

  printf("sizeof(KCONSTRAINT): %d bytes, %d words\n",
	 (int)sizeof(KCONSTRAINT), (int)(sizeof(KCONSTRAINT)/sizeof(UINT)));

  printf("sizeof(THDINFO): %d bytes, %d words\n",
	 (int)sizeof(THDINFO), (int)(sizeof(THDINFO)/sizeof(UINT)));

  printf("sizeof(MX): %d bytes, %d words\n",
	 (int)sizeof(MX), (int)(sizeof(MX)/sizeof(UINT)));

  printf("sizeof(COND): %d bytes, %d words\n",
	 (int)sizeof(COND), (int)(sizeof(COND)/sizeof(UINT)));

  return 0;
}
