/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>
#include <stdio.h>
#include <tchar.h>
#include <stdlib.h>

/* Sleep N seconds
 */
int _tmain(int argc, _TCHAR **argv)
{
    const _TCHAR * pStr;
    INT t;
    TIME OneSecondRelative;

    UnusedParameter(argc);
    UnusedParameter(argv);

    pStr = ProcessArgs();
    t = _ttoi(pStr);
    _tprintf(_TEXT("Sleeping %d seconds\n"), t);
    Int32ToInt64(OneSecondRelative, TIME_RELATIVE(TIME_SECONDS(1)));

    SleepUntil(Int64TimesInt32(OneSecondRelative, t));

    return 0;
}
