/* Copyright (c) Microsoft Corporation. All rights reserved. */
#include <mmlite.h>
#include <stdio.h>
#include <tchar.h>
#include <stdlib.h>
#include <machdep.h>

#ifdef _MSC_VER
__declspec(naked) void _chkstk(void)
{
}
#endif

/* Overflows a default-sized stack.
 */

void CrashMe(void)
{
    UINT8 bigvar[DEFAULT_STACK_SIZE];
    TIME t;

    memset(bigvar,0,sizeof bigvar);

    /* and here we're dead already but lets keep on going...
     */
    Int32ToInt64(t, TIME_RELATIVE(TIME_MILLIS(100)));
    SleepUntil(t);
}

int _tmain(int argc, _TCHAR **argv)
{
#if defined(CHECK_STACK_OVERFLOW)

    _tprintf(_TEXT("About to overflow a default-sized stack of %d bytes\r\n"),
             DEFAULT_STACK_SIZE);

    CrashMe();

    /* This might very well not fail immediately, but if CHECK_STACK_OVERFLOW
     * is enabled it will warn soon enough
     */

#else
    _tprintf(_TEXT("The compile-time CHECK_STACK_OVERFLOW is not defined,\r\n")
             _TEXT("therefore we will not even try to overflow the stack.\r\n"));
#endif

    return 0;
}
