@REM Copyright (c) Microsoft Corporation. All rights reserved.
@ECHO OFF
rem move-if-change %1 %2
rem Like mv %1 %2, but if the files are the same, just delete %1.

if NOT EXIST "%1" goto usage
if NOT EXIST "%2" goto moveit
%SYSTEMROOT%\system32\comp %1 %2 < %MMLITE_SDK%\tools\bin\no.txt > nul 2>nul
if %ERRORLEVEL% GTR 0 goto moveit

if DEFINED _VERBOSE echo %2 is unchanged
del %1
goto done

:moveit
if DEFINED _VERBOSE echo move %1 %2
copy %1 %2
if %ERRORLEVEL% GTR 0 goto failed
del %1
goto done

:failed
exit %ERRORLEVEL%

:usage
echo move-if-change from to   (%%1 missing)
exit 2

:done
